commit 67df52b68b28e2a3755702b669a58747e21dd12b
Author: Alexander Akulich <akulichalexander@gmail.com>
Date:   2020-02-21 02:40:21 +0300

    5.16.6

commit c573ebb6dd9df55e56d9279bbfddea67f9cd701f
Author: Tomi Leppänen <tomi.leppanen@jolla.com>
Date:   2020-08-21 15:52:26 +0300

    Make run-test.sh busybox compatible
    
    Busybox doesn't support readlink -e, readlink -f is almost equivalent.
    
    Signed-off-by: Tomi Leppänen <tomi.leppanen@jolla.com>

commit 3f0ce4db48ac6389ffacd4ac1a9b24bae989d97c
Author: Tomi Leppänen <tomi.leppanen@jolla.com>
Date:   2020-08-24 14:47:45 +0300

    Update tests to Python 3
    
    Run the code through 2to3 tool and fixed parts that need manual fixing.
    Also ported dbus-python use to be Python 3 compatible.
    
    Signed-off-by: Tomi Leppänen <tomi.leppanen@jolla.com>

commit ada99a651ea8994aa198b2504bdf30c641c7f83a
Author: Florian Müllner <fmuellner@gnome.org>
Date:   2019-12-19 13:37:49 +0100

    account: Fix property name
    
    Spaces are not valid characters in property names, and never were.
    Until recently GLib silently fixed up the name by replacing the
    space with '-', but now tightened up the validation.

commit 5de9c50b0353f10b2fd7b1a6980c37bd7cb1b4dc
Author: Alexander Akulich <akulichalexander@gmail.com>
Date:   2019-09-15 13:24:47 +0300

    5.16.5

commit e3eb6c5a7a374667b2a57f517d449a7d48f56c0a
Author: Alexander Akulich <akulichalexander@gmail.com>
Date:   2019-09-15 15:46:16 +0300

    Port make-release-mail.py to Python 3

commit dcfefa39427f433d7ea499d25be6bd242ee0b1b5
Author: Alexander Akulich <akulichalexander@gmail.com>
Date:   2019-09-15 15:35:44 +0300

    Tools: Remove unused gquark-gen.py

commit f44db86a6619f4c97b7b8e5819c885ac9f8893b0
Author: Alexander Akulich <akulichalexander@gmail.com>
Date:   2019-09-15 02:33:58 +0300

    Tools: Remove glib-signals-marshal-gen
    
    See commit d70ba9ba46ea037b8003efc27de7f8c2d067befa in telepathy-glib.
    See also: https://bugs.freedesktop.org/show_bug.cgi?id=46523

commit 23a212f0b3201e34e7a4f3b3ba3b916e1e379bcc
Author: Alexander Akulich <akulichalexander@gmail.com>
Date:   2019-09-15 14:37:53 +0300

    Sync tools from telepathy-glib

commit 825aa93ea15a24fe6f0ac2c2da0d0b6b1cc2abab
Author: Alexander Akulich <akulichalexander@gmail.com>
Date:   2019-09-15 14:26:33 +0300

    Update telepathy.am from telepathy-glib
    
    maintainer-prepare-release: do "git tag" in srcdir

commit 8d2b3cc9c978b079f74032717532165c65b321cb
Author: Alexander Akulich <akulichalexander@gmail.com>
Date:   2019-07-06 15:38:31 +0300

    McdAccount: Fix memory leak in get_parameter_of_known_type()
    
    Based on a commit by Slava Monich <slava.monich@jolla.com>

commit 31268fec582776593e54c10c862d9f7af7b3153c
Author: Martin Klapetek <martin.klapetek@gmail.com>
Date:   2015-07-08 20:04:57 +0000

    Fix autoconnection of accounts with always_dispatch=true
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91272

commit 19f10ec2a59cadd4c59d6bc3147c612007c1c615
Author: Tiago Salem Herrmann <tiagosh@gmail.com>
Date:   2017-01-25 15:30:04 -0200

    Fix string max size calculation.
    
    Reviewed-by: George Kiagiadakis <gkiagia@tolabaki.gr>
    https://github.com/TelepathyIM/telepathy-mission-control/pull/1

commit 6077a834bab2c725d7f55378e7f39c1f1d409eaa
Author: George Kiagiadakis <gkiagia@tolabaki.gr>
Date:   2016-09-02 22:53:49 +0300

    nano flag

commit 74d553d4125224f0a95c9d2843d38861b42eae9f
Author: George Kiagiadakis <gkiagia@tolabaki.gr>
Date:   2016-09-02 22:27:30 +0300

    5.16.4

commit f576a9e8a125c16e3a562e3bb820707c1041af5c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-03-20 12:53:39 +0000

    dispatcher_delegate_channels: initialize am
    
    Otherwise, if we "goto error" too soon, we'll try to g_object_unref
    uninitialized memory. gcc doesn't spot that because we're using
    tp_clear_object, which uses an intermediate variable, and it doesn't
    propagate "uninitializedness" through assignments.

commit 43afd2866bc38efe1b2cf27989df4e36ddd21201
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-03-20 12:51:18 +0000

    fix memory leaks: dbus_g_method_get_sender returns a copy
    
    We were semi-consistently using it wrong.

commit e49b61b4e0f94f2e740ff5a0d231b43f37ab7d1b
Author: George Kiagiadakis <gkiagia@tolabaki.gr>
Date:   2016-09-01 21:50:50 +0300

    Update NEWS

commit 6a93bfeab23d64216cb5084f2d63c18f12ab6844
Author: George Kiagiadakis <gkiagia@tolabaki.gr>
Date:   2016-09-01 21:19:34 +0300

    tests: fix race condition in account-manager/avatar.py test
    
    It seems that the order of the dbus signals is unpredictable,
    so requiring it in the test sometimes makes it fail. It also
    seems that the other checks above in the same unit test have
    the same logic of not expecting a certain order in signal emission,
    so this is probably the right thing to do.

commit 78d8c53b930323455bb7c4031903f46717b8a174
Author: George Kiagiadakis <gkiagia@tolabaki.gr>
Date:   2016-08-15 11:37:24 +0300

    tests: make tests work again when NM support is enabled
    
    Apparently the nm library also tries to access the /.../Settings
    object of NM, which was not available in our fake NM implementation.
    This commit implements the basic properties of the Settings object,
    which allows the tests to continue past this point.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=96917

commit c5589bdc4ded0382adf6ba9ffc5c27f8a6e0568d
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   2016-01-11 15:07:56 +0800

    mc-wait-for-name: Call setlocale in main function
    
    It is required to correctly show translated messages on some locales.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=93661

commit cbe4ec1a4e1167ce8231849bcbbdec44d48422f2
Author: George Kiagiadakis <gkiagia@tolabaki.gr>
Date:   2016-07-13 17:34:39 +0300

    configure: do not enable upower support if upower is >=0.99
    
    The code doesn't compile anymore, the features used have been removed.
    The replacement is logind, for which support exists in MC since 5.15.1.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=70458

commit e732563380bda697c468b591ed126932b022d97f
Author: George Kiagiadakis <gkiagia@tolabaki.gr>
Date:   2016-07-01 18:43:28 +0300

    configure: bump glib version requirement to 2.46
    
    required for the fake-network-monitor in the unit tests
    
    https://bugs.freedesktop.org/show_bug.cgi?id=96763
    Reviewed-by: Diane Trout <diane@ghic.org>

commit d3e011a2dfaf6ecb41651de7ccc0d2bb520f3208
Author: George Kiagiadakis <gkiagia@tolabaki.gr>
Date:   2016-07-01 18:31:21 +0300

    tests/twisted/fake-network-monitor: implement the "network-metered" and "connectivity" properties of GNetworkMonitor
    
    "connectivity" is required since glib 2.44
    "network-metered" is required since glib 2.46
    
    https://bugs.freedesktop.org/show_bug.cgi?id=96763
    Reviewed-by: Diane Trout <diane@ghic.org>

commit 20dc94875afecacf086e57f67447e9384fb85d90
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   2016-02-26 22:32:28 +0800

    Don't initialize function pointers with G_TYPE_INVALID
    
    https://bugs.freedesktop.org/show_bug.cgi?id=94310
    Reviewed-by: George Kiagiadakis

commit 497e26593446d343105f594997ef0689aac4be4f
Author: George Kiagiadakis <gkiagia@tolabaki.gr>
Date:   2016-07-01 16:04:36 +0300

    connectivity-monitor.c: fix unused variable warning when compiling without nm support
    
    This GError variable is not used anywhere else in this function.

commit 91499340222a563bacce7994f32275c38ff55ff0
Author: Diane Trout <diane@ghic.org>
Date:   2016-06-29 22:37:24 -0700

    libnm-glib is deprecated and may not be available.
    
    This patch switches to use th enew libnm API, also snice nm_client_new
    now takes a GError, I thought I'd report the error message if mission
    control can't connect to the network manager.
    
    Additionally we can remove a definition of the NM_CHECK_VERSION
    macro for old versions of NM, as well as a guard for the
    NM_STATE_DISCONNECTING constant.

commit 3d3a13c561e858853af5c601373be3ea0746f58c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-08-28 14:19:30 +0200

    server: exit early if we failed to create McdService
    
    mcd_service_new() can return NULL if we didn't manage to connect to D-Bus.
    Best to handle this gracefully rather than crashing horribly.
    
    This is the top crasher on Ubuntu btw.
    https://errors.ubuntu.com/problem/7e2a5f9a379f34a347895782ae948177926a1932

commit 8f5a4fb823c1334e6d845aaa0c57f0fcffa42635
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-08-25 14:47:50 +0200

    nano flag

commit 84dc7d0fd952a9ef3d200ac5557cdf2daccca145
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-08-25 14:34:18 +0200

    5.16.3

commit ab29ae42f751bf7e4ecc9a601e09cafab499fd14
Author: Steffen Kieß <Steffen.Kiess@ipvs.uni-stuttgart.de>
Date:   2014-08-25 14:11:35 +0200

    mcd-connection: use tp_asv_new() properly
    
    The second argument has to be the type of the value.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=81751

commit 810b32e92f2896a1ad8ee204bf6b8d5456a5db08
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-06-11 15:50:37 +0200

    nano flag

commit fb8000842e0b20f4aa4928edd62736b5cea2e8d5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-06-11 15:44:01 +0200

    5.16.2

commit 42c485ff56f5425cd592ae73c1c0e6c0f1de2b13
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-06-11 10:15:05 +0200

    mcd_account_delete: make sure that the account stays alive
    
    Fix a regression introduced when backporting fix for
    https://bugs.freedesktop.org/show_bug.cgi?id=79827

commit 224443c1843ab0df7ef8ee1eda0409c35a4745a9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-06-09 15:39:23 +0200

    mcd-account: unregister the account once we're done deleting it
    
    The McdAccount object may still be alive for a short while because of pending
    async operations. We want to get rid of the D-Bus object as soon as possible
    and so, for example, a new Account object replacing the deleted one can be
    created.
    
    Fix https://bugs.freedesktop.org/show_bug.cgi?id=79827

commit 9c8e148e3ba00e53d0323aa75bdf6a5528968554
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2014-06-09 15:34:13 +0200

    use G_STRFUNC in mission-control-plugins's DEBUG macro
    
    It's more useful when reading logs than G_STRLOC and that's what we already
    use in src/mcd-debug.h

commit c86536f3b5fcc21eac60a836954d1aa002b67cc0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-01-30 13:04:56 +0000

    codegen: avoid generating more than one thing in the same command
    
    As with telepathy-glib commit 36c2a545c9, a rule like this:
    
        _gen/x.c _gen/x.h: prerequisites
            $(AM_V_GEN)x-generator
    
    doesn't consider x.c and x.h together. Instead, it expands to two rules,
    one to generate x.c and one to generate x.h, which happen to run the
    same commands.
    
    This means that in the worst case, you can end up running x-generator
    twice in parallel, and they'll race with each other and overwrite or
    delete each other's output.
    
    Updated version of a patch from Ross Burton, taking into account that
    we now generate a separate header for the gtk-doc. I use the gtk-doc
    header as the one that "matters", because it's the last to be generated.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69446
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit d4471ccad3163ee33fe5b5bd5947ca47ad01158a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-01-29 19:24:54 +0000

    NEWS

commit a4bcc16f16f72d7a2b8fe74e715183b7b6985427
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-01-28 16:28:16 +0000

    mc-tool: fix setting automatic presence
    
    We were using the wrong finish-function.
    
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=74187

commit 84f1f56a114738c622bcd926868f5c232b3e6d8c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-01-28 11:08:33 +0000

    start 5.16.2

commit 53f6d1cf3fecd6667591a43bf511518f5a4b345f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-01-27 14:51:36 +0000

    forgot a NEWS entry

commit 4eb0184ff5c7020cfcbada0ee66e4336158fc49e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-01-27 12:25:18 +0000

    5.16.1

commit 4d107b2c4b2a5161b6e113fb60e283017b700255
Author: Michael Kuhn <suraia@ikkoku.de>
Date:   2014-01-22 09:56:02 +0100

    Release inhibitor on sleep and shutdown.
    
    Also fix a memory leak in login1_inhibit_cb.
    
    [The intention was to hold one "ref" to the inhibit fd for each
    connection that was waiting to disconnect, plus one "ref" for the
    idle state of "waiting to be notified by logind". We correctly took
    one "ref" per connection, but did not release the extra one. -smcv]
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=73599
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 07955827bba3ed6a6426ca4f2cb32efef2dc04c0
Author: John Brooks <john.brooks@jollamobile.com>
Date:   2013-12-12 15:46:27 -0700

    Prevent assert for offline accounts with power saving
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=72652

commit 0932dba29fa9de8e7268a924c4c93ccebb7dc65c
Author: Sebastien Bacher <seb128@ubuntu.com>
Date:   2013-12-04 18:34:30 +0100

    reset the error to NULL, so the next call is working
    
    [fixed argument type -smcv]
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=72138

commit 51eb9027ec1b72591166ecde65793c9f5877ac16
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-11-26 10:19:54 +0100

    connectivity-monitor: start watching 'use-conn' key in constructed
    
    We have to wait for the default GObject properties to be set before calling
    g_settings_bind(). If we don't, they override the value fetched from
    GSettings.

commit f1de10a0f71638da502a77cae189b5fa6a047be6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-02 18:48:17 +0100

    5.16.0+

commit 739b5414ec3fe1fc7896d34f09f510a9e8029473
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-02 17:54:18 +0100

    5.16.0

commit 52a6ac31f6d3b52332f6678c67c0c6013adf4c17
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-02 17:40:58 +0100

    Upload documentation to the 5.16.x location

commit 9d74acccde6b41a9e06c115def43bbea77efacf9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-02 17:40:57 +0100

    Don't warn on deprecated declarations, this is a stable branch.

commit 41f675da7cd97b9a3771881c22788e73eb99f99a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-02 17:41:55 +0100

    Don't check documentation completeness in this stable branch

commit 17a5d31769e9da52797df968c8881732f29d0f45
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-02 16:33:42 +0100

    NEWS: adjust note about ServerAuthentication handlers
    
    rishi pointed out on IRC that ServerAuthentication still makes
    passwords available to eavesdroppers on the session bus (if LOGIN,
    PLAIN or X-TELEPATHY-PASSWORD are used). ServerAuthentication doesn't
    allow arbitrary applications to ask MC "what is the password for
    account X?", which is what I was thinking of.
    
    The session bus is not generally modelled to be a security
    boundary; if yours is, you will need to write a security policy,
    then ensure that that policy is applied. Telepathy components are not
    designed to be used unmodified on an untrusted session bus. (Starting
    points include turning off eavesdropping, applying a "default-deny"
    policy, preventing processes other than Mission Control from
    calling HandleChannels on your ServerAuthentication client, and
    preventing processes from subverting each other with ptrace.)

commit d0af8d654ae439a1a333c33f6e44084d3dad2afb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-02 13:44:10 +0100

    avatar-refresh test: subsume avatar-persist, and test more situations
    
    We have some sort of combinatorial explosion going on here, and it
    seems best to test it in a somewhat systematic way:
    
    * is the protocol one where avatars persist on the server (Gabble)
      or not (Salut)?
    * if it's like Gabble, does it download our own avatar token
      before signalling CONNECTED (as I suspect Haze does), or
      on-demand after GetKnownAvatarTokens (as Gabble appears to)?
    * if it's like Gabble, is the server storing an avatar for us?
    * in either case, do we have an avatar stored locally, and has
      it previously been uploaded or not?
    
    In addition, the avatar-refresh and avatar-persist tests exercised
    migration from ~/.missioncontrol and a low-priority XDG_DATA_DIRS entry
    (respectively) to ~/.local/share. I didn't do that in a loop, because
    it isn't applicable in all cases and would lead to even more
    combinations - testing each case once should be enough.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69885
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
    [cherry-picked from master commit d780671 plus the test part of
    4f4ed24, adjusted for old constant naming and to replace
    unforbid_all() with unforbid_events() -smcv]
    Conflicts:
            tests/twisted/account-manager/avatar-persist.py
            tests/twisted/account-manager/avatar-refresh.py

commit b89f6fe0bcacef9340f633ab09b275122c6db644
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-02 13:08:45 +0100

    Implement Contacts properly on SimulatedConnection, and fix tests
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69885
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
    [Cherry-picked from commit 15510bd on master. -smcv]
    Conflicts:
            tests/twisted/constants.py
            tests/twisted/mctest.py

commit 54b9660d32a611100b87fedde559ebb1d4ec35a5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-02 12:58:31 +0100

    McdAccount: go back to using GetKnownAvatarTokens
    
    Sadly, contact attributes aren't enough to distinguish between
    "this protocol doesn't store avatars and you haven't re-sent your
    avatar since you last connected", "this protocol stores avatars but
    the CM hasn't checked for your current avatar yet", and "this protocol
    stores avatars, but there is no avatar on the server for you".
    
    GetKnownAvatarTokens specifically excludes the middle option (blocking
    on a server round-trip if it needs to), and uses "avatar token missing"
    for the first and "avatar token empty" for the last.
    
    Tested to work with the telepathy-glib 0.20 branch, and with the 0.22
    branch when fdo#70010 is fixed.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69885
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
    [This is a cherry-pick of commit 4f4ed24 from master, omitting the
    regression test change, to make sure the existing tests still pass -smcv]

commit 9fa3c65e038f66dcf4c28bd10a26680229c2843c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-20 12:59:50 +0100

    Update extension interfaces to their telepathy-spec 0.27.1 versions
    
    No functional changes.
    
    The remaining interfaces (A.I.Conditions, CD.I.Messages) are still
    not in telepathy-spec at all. :-(

commit 6a24c5e5d0a95dd11b82956c1186092bab617701
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-20 12:54:38 +0100

    Update CHECK_FOR_UNRELEASED to check the right files

commit 972b515a0294d78c7a34dfe8ebd0f6a8e6f415e7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-20 12:53:28 +0100

    Fix a wrong deprecation annotation

commit 439309bfede3afe68469f39bbde332ff5f668ba6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-20 12:49:27 +0100

    Document the new test logging arrangement
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69585

commit 089c6a1562a74b86f7e60c87d43abc1c7a6cb446
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-19 19:41:27 +0100

    connectivity test: make sure we've caught up on GDBus messages
    
    Otherwise, the message from the FakeNetworkMonitor saying we've gone
    offline might not be received until after the message from the fake NM
    saying we've gone online - which would be a problem. There's no
    side-effect we can wait for here, so we just have to make sure the
    GDBus queue has been processed.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69585
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit eb6a6bf52c1ed476f6dab871cad491d3fff5c8f5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-19 19:39:24 +0100

    connectivity_monitor_nm_state_change_cb: if NM says DISCONNECTED, believe it
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69585
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 5336208b2848c810c0e9168cc629f9a63593f9ac
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-19 19:44:03 +0100

    Log verbose test output and give it the same treatment as MC's log
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69585
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 38bbbf49bd1e357d1a4a9e6508c718c5edb9baf7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-19 18:48:38 +0100

    run-test.sh.in: dump logfiles to stdout on failure
    
    This is a lot of very spammy output, but the failures are basically
    undebuggable without it, so...
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69585
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 83d08c87a251824f6f5f52037e1f79587bc9446c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-19 19:43:29 +0100

    run-test.sh.in: now that we run under 'set -e', catch failures
    
    If we just let with-session-bus.sh exit nonzero, the script aborts.
    We want to catch the nonzero exit status and do some more things
    before failing.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69585
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 79e1df1b5818e3bb323b040a708f3d91d616d2d6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-19 15:22:25 +0100

    Nano version

commit 2bd064c78030932544ceca652510c526f6f001dd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-19 14:37:22 +0100

    5.15.1 (5.16 rc1)

commit c3cba937c429b7121270b19734a669211bebba19
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-19 14:22:13 +0100

    Put Autoconf, Automake, Libtool droppings in /build-aux
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69542
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 04a2f757879caf21d474c03a5728ec5e1ffe7c29
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-18 19:42:56 +0100

    document MC_TEST_KEEP_TEMP
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69542
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 3dcc0f4ebb90b80c8ee39794a65e906013d692a5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-18 19:23:52 +0100

    mcd_account_self_contact_upgraded_cb: don't crash on bad timing
    
    If the account is disconnecting, we might get the callback for
    upgrading after we've already NULLed out self->priv->self_contact.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69542
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit af998be5e6638671d05097176c7405258b30e315
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-18 19:04:40 +0100

    tests: cd into the directory from which we were run
    
    dbus-daemon does a chdir("/") for activated services. We want to
    undo that, and put our logs (and core dumps, if any) in a more
    obvious place.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69542
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit cfb5810baf0b6f28223d2ebf7b9c20eddf2940cf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-18 17:00:35 +0100

    Tests: clean up all built sources
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69542
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 545ffc1f455a14bea9f77497a009ec6811bae6c7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-18 16:00:49 +0100

    tests: write logs to MC_TEST_LOG_DIR, with latest log in `pwd`
    
    This makes the logs' location rather more obvious. Not altering MC's
    working directory also means the core dump (if any) comes out in
    tests/twisted, which makes sense, instead of tests/twisted/tools,
    which doesn't.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69542
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 30dc2928196aefd112db7047a98900c047f27bae
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-18 15:07:33 +0100

    run-mc.sh.in: set DBUS_SYSTEM_BUS_ADDRESS
    
    This is used in the "installed" case, and this change is necessary to
    catch up with exec-with-log.sh.in in the "uninstalled" case. We want
    to use the fake NetworkManager, ConnMan etc., not the real ones.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69542
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 1978058f83f3bb30196985302fd917cb43473cfa
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-18 15:27:42 +0100

    Always use run-test.sh to run tests
    
    There are three modes here:
    
    - make check: run tests in ${srcdir} against MC in ${builddir}
    - make installcheck: run tests in ${srcdir} against MC in
      ${DESTDIR}${prefix}
    - ${mctestsdir}/twisted/run-test.sh: run tests in ${mctestsdir}
      against MC in ${prefix}
    
    Also simplify the last of those cases, and avoid a potential symlink
    attack, by requiring that the current working directory for run-test.sh
    is a directory controlled by us. In practice we already required that,
    because with-session-bus.sh creates files in the current directory.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69542
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 2d769630290d17c20c0db1e32c61a725c6559fb7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-18 12:39:04 +0100

    installcheck-twisted: test the just-installed MC if using a DESTDIR
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69542
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 12ecdbabc19628e19109666d8534ce6d99035a95
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-18 12:45:29 +0100

    Ignore /test-driver, installed by Automake 1.13
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69542
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit cc2af09f608511bf316e94e4462ff041406c455b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-18 14:07:57 +0100

    Flag printf-ish functions with G_GNUC_PRINTF and fix resulting warnings
    
    In particular, mcd-account-manager-default could crash when migrating
    an account, since it would dereference arbitrary stack contents
    as a pointer-to-string.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69542
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit fe1e8ce4b830f665fbe098b1928969d26c553441
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-10 12:00:14 +0100

    _mcd_channel_depart: use tp_channel_leave_async or tp_channel_close_async
    
    This avoids some deprecated APIs, and is considerably simpler.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55392
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 966ca2d58f87f9cfa7b1551885dd2f160971e19b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-09 18:19:58 +0100

    Switch from tp_g_key_file_get_[u]int64 to g_key_file_get_[u]int64
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69146
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 9219b4282cc9c6465dc1f9efd9e549c97bc6e3a9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-09 17:21:47 +0100

    Service points: use tp_connection_dup_contact_by_id_async
    
    tp_connection_request_handles is deprecated. Ideally, we should drop
    this whole chunk of code, but it seems best to save that for
    Telepathy 1.0.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 74744b3a1b792895089d5104109e3b56eeedea11
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-09 17:19:58 +0100

    McdConnection: use tp_simple_client_factory_ensure_connection
    
    This means we need to pass the client factory through the McdManager
    from the McdMaster, so, do.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit a9afabf2a6219f27038b34e29d36cc20dd2965eb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-02-13 15:01:54 +0000

    Deprecate mcp_dispatch_operation_leave_channels
    
    It was designed for StreamedMedia, and is the wrong thing for Call.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 9becae7459f2762217f08eadc53ac0f9a85ab693
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-03 19:44:08 +0100

    List Service and Hidden in create-time account properties
    
    Also test them.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=33127
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 82abc7249f071d86b3ac7b9e5a7f9815372c041b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-05 15:31:29 +0100

    Remove further remnants of gnome-keyring support
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=32578
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit a7d10e5e24129a608d3d3f00cfdeae67c9f745be
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-05 15:07:10 +0100

    NEWS

commit 05fcc81b1684975e9d20a4ecba55f46b11ccd7e8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-05 15:01:02 +0100

    drop unused variables

commit b0eedd06b5b9f51de060d91ca6eab0c3d2061d09
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-28 14:44:58 +0100

    Remove gnome-keyring support
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=32578
    Reviewed-by: Marco Barisione <marco.barisione@collabora.co.uk>

commit 0c905a9ad4f3a90ed97e16a360097f17be777887
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-08 19:34:22 +0100

    Add a regression test for service-points (matched by identifier)
    
    The side-effect they have within MC is that plugins aren't allowed to
    delay or reject channel requests; we ought to test that, really.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55773
    Reviewed-by: Marco Barisione <marco.barisione@collabora.co.uk>

commit 8198d1ec4a318338d02800cf6d021734e7590daa
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-08 19:33:15 +0100

    McdConnection: build up our sets of emergency numbers over time
    
    To facilitate this, use nicer data structures.
    
    Most importantly, this means we don't critical whenever we get more
    than one distinct service point, as Jonny noticed while porting to
    Telepathy 1.0. It might slightly defeat the intention of the
    ServicePointsChanged signal, but in practice the list is probably
    never going to shrink, and if it does, it's probably wise to
    keep considering its old members to be an emergency number (the effect
    that that has is that plugins aren't allowed to influence channel
    requests).
    
    Also, don't leak the sets of emergency numbers when finalized.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55773
    Reviewed-by: Marco Barisione <marco.barisione@collabora.co.uk>

commit edf39cf46747c269dcd1470b92185601fb898f99
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-04 13:36:09 +0100

    Drop fake-network-monitor.h from SOURCES
    
    It doesn't exist, and breaks distcheck.

commit 2f3f113042ad117f35e2ebb2a26556b2c550e8af
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-28 15:36:14 +0100

    Add a regression test for a "no SimplePresence" special case
    
    CurrentPresence should toggle between OFFLINE and UNSET if the account
    has no concept of presence.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68905
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 6e88e909f5f1cb4b0f0d33f88b26f5cb6d3fc9c7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-28 15:35:38 +0100

    Track presence via TpContact, not McdConnection
    
    Now that McdAccount has a TpContact for the self-contact, this is
    really easy.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68905
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit c5e96690fd558b4de8de794bce04fb3937b03799
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-03 19:16:32 +0100

    Add CONNECTIVITY_NONE, and make state transitions clearer
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68758
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 425a6cb46cabf35bde272f99c5b8260b29a70201
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-03 19:06:06 +0100

    McdConnectivityMonitor: comment how McdInhibit works
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68758
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 3a2a10d424c3033aabd5eb830321cfad852077ae
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-02 15:24:22 +0100

    Listen to systemd sleep/shutdown signals, and inhibit until disconnected
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68758
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit d50b659542f829ccd411828a35a53c5f4678c581
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-29 16:55:06 +0100

    Remove unused signal McdAccount::connection-process
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68712
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 7220e55986ca13ac14bb56bae51986e21be892af
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-29 16:53:47 +0100

    Remove the remains of McdTransportPlugin
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68712
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit ea78c344fce0373188ac5549f664da0a6de1f500
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-29 16:48:40 +0100

    _mcd_master_account_replace_transport: inline into caller and simplify
    
    There's only one transport plugin, it only has one transport, and
    its state is basically boolean, so we can delete a lot of code.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68712
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 3ec7b1947bf5c595edc1f2329aa6ce7b9feda816
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-29 16:41:54 +0100

    mcd_master_connect_automatic_accounts: move to McdAccountManager
    
    Iterating over all accounts? Looks like a job for the account manager.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68712
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit cb99598acaa71edd6efcedadaaff3103acf76571
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-29 16:41:22 +0100

    McdAccount: respond to connectivity status changes
    
    Instead of proxying through the transport plugin and the McdMaster, just
    watch the McdConnectivityMonitor. Much simpler!
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68712
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 1ed0e969eadfa4a5c9d7e3156413588d6b083d09
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-29 16:28:45 +0100

    Move "waiting for connectivity" functionality into McdAccount
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68712
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit e076d7f16e23cd7246a20a45164a71d9e53058af
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-03 18:40:06 +0100

    McdAccount: have a reference to the connectivity monitor
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68712
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit e2bcc5b94496d755c28490f28925da6f54a4cf4d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-03 18:39:36 +0100

    Put the connectivity monitor in the McdAccountManager
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68712
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 957795838715b3b95f2bf8bc116b2328bf6a2881
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-29 15:38:53 +0100

    Remove the concept of binding accounts to transports
    
    We only have one transport now, so there are two options: either the
    account is a special one that "needs dispatch" and also bypasses the
    transport check (in practice this means cellular accounts), or it is
    connected via the Internet.
    
    Binding accounts to transports never made a vast amount of sense. If we
    have many parallel Internet connections (e.g. wired + wifi + cellular +
    VPN), Mission Control can't know which one a Connection is relying on -
    only the connection manager can know that - so we have to err on the
    side of disconnecting everything on a connectivity change anyway.
    
    A possible refinement in future Tp versions would be a way for a CM
    to tell MC "this connection does its own connectivity-monitoring,
    so don't kick it when we get disconnected". For now, we assume that
    everything needs the Internet, unless it's one of the accounts that
    wouldn't previously have been bound to a connection (i.e.
    _mcd_account_needs_dispatch() returns FALSE).
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68712
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 7c598edf86939a630c9fb51c030bf4d1436e56a6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-28 16:52:04 +0100

    mcd_operation_take_mission, _remove_mission: do not be virtual
    
    Nothing overrides them, they're no longer API, and one day I'd like to
    get rid of McdOperation entirely.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68712
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 0327ccfcf5047aa785f6c127296817d6b7e73c05
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-09-03 18:28:45 +0100

    Update NEWS, and note the bug number of an older bug

commit e6974e3dac274982dedcb5451106473dea3294fd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-29 16:59:08 +0100

    McdConnectivityMonitor: take responsibility for monitoring use-conn
    
    I want to get rid of the kludge-transport.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68712
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit e9c73ea3f027d2f156bcbcabab722e17221afbed
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-28 17:49:54 +0100

    McdMaster: remove support for writing account-manager property
    
    Nothing constructs a McdMaster with a non-default McdAccountManager.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68712
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 289c461e9c5020a4da70dc12d066a61af2276b41
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-29 15:22:45 +0100

    Remove support for checking conditions on accounts
    
    We no longer have API for external transport providers, and we've never
    defined any conditions on the transport provider we do have.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68712
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 327f0bd220aacb909e9ecde066121f3ca0f65f35
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-28 16:51:18 +0100

    Remove various useless virtual method padding
    
    This part of Mission Control is no longer API.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68712
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 3d77940b7b2b7394a695a46efc008dc31e85b45d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-28 16:42:47 +0100

    mcd_master_create_manager: unvirtualize
    
    There's no point in this being virtual: there are no subclasses,
    and it isn't API any more.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68712
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 68f45847f9a3259be4fcb7a8d5647c46109b6c0e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-28 16:40:38 +0100

    McdMaster: use modern idiom for priv
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68712
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 3ad533ac34481c4305a9093687f8042757a6cf96
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-30 17:29:40 +0100

    Replace ConnMan connectivity support with GNetworkMonitor
    
    The information we're getting from ConnMan is no more informative
    than GNetworkMonitor, and a ConnMan GNetworkMonitor implementation
    exists (e.g. <https://github.com/jukkar/connman-network-monitor>),
    so we might as well go via that.
    
    On NetworkManager systems, we now use NetworkManager to detect
    transient states like DISCONNECTING, but use the GNetworkMonitor
    to detect whether the interface is up. If NetworkManager is the only
    thing managing an interface, that makes no difference, but if there is
    an interface not managed by NetworkManager, the default netlink
    GNetworkMonitor will say we're online even while NM is DISCONNECTED,
    which is what we want.
    
    On non-NetworkManager, non-ConnMan systems where netlink works,
    netlink will tell us at least the basics of what's going on, and we
    can avoid trying to connect while there is no Internet route.
    
    On systems without a working GNetworkMonitor, GIO's default
    implementation will say "yes, you are online" at all times, which is
    no worse than we had previously.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=56635
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 2f94a6529c60cdd01e8418cabfe92fc4bccd6b34
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-30 16:37:28 +0100

    Add a fake GNetworkMonitor, using a subset of the ConnMan D-Bus API
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=56635
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit eb0b99097edaa27a381c79733cd121d3ce68565d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-30 16:54:14 +0100

    Split connectivity state into the concepts of "up" and "stable"
    
    ConnMan and GNetworkMonitor only give us two states: either we have
    some level of Internet connectivity, or we don't. NetworkManager adds
    a third category of states (CONNECTING, DISCONNECTING, ASLEEP):
    "you might have connectivity, but things are changing, so you might
    want to disconnect now". I've represented this as "not stable".
    
    The flag is deliberately "stable", not "unstable", so that all the
    boolean flags have the same sense: if they are TRUE, we're
    "more connected".
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=56635
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 5dbd8df6bd212ede2075dce3cbf3a6b5ebf4e8d3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-30 17:08:08 +0100

    Add a regression test for NetworkManager's "not quite offline" states
    
    We were only testing the intersection of ConnMan and NM functionality,
    but NM actually has a bit more.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=56635
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 01ee75652ec19b94681147ec0700d502bafb6e78
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-03 15:39:51 +0100

    resume development

commit 76c328175300821b1a2554391f0143c4d54fb779
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-03 15:02:59 +0100

    Prepare 5.15.0

commit 7877d99ed2f9ff2cd0888e8f762ebad932852767
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-03 13:01:44 +0100

    McdSlacker: don't crash if SessionManager is absent or StatusChanged has no parameters
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=62530
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 1d3403089ab01ff5b5056cd360d5469099d0ff08
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-05-02 18:05:50 +0200

    McdSlacker: Use org.gnome.SessionManager DBus service
    
    MCE is a long dead Nokia closed source service for Maemo.
    This rewrites McdSlacker using GDBus and the much more useful
    GNOME SessionManager service. That interface is implemented in
    both gnome-shell and unity desktops.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=62530

commit d0419b28aa3ad45fa8f92b477ac65c32012b937b
Merge: d7423ba7 712ddaf9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-03 12:28:30 +0100

    Merge branch 'telepathy-mission-control-5.14'
    
    Conflicts:
            NEWS
            configure.ac

commit 712ddaf9b57fdc03e0c6b0b2c45ec04eaf135248
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-03 12:25:45 +0100

    resume development

commit b613401b8f238ed633e72691d5a6716fdcaf9ee1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-03 11:54:47 +0100

    Prepare 5.14.1

commit d7423ba7794f57380440ffbf485462653bc060c0
Merge: 7da30dce 57b73f8f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-01 20:00:20 +0100

    Merge branch 'telepathy-mission-control-5.14'
    
    Conflicts:
            NEWS

commit 57b73f8f22f0e7fbc4b37c994ba0c96ec52b8c01
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-01 19:55:15 +0100

    NEWS for 5.14

commit 9e89a8ed3c54ad4c9ad9cc939c995a7196037889
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-16 17:15:01 +0000

    Only ignore passwords in gnome-keyring if Empathy has copied them
    
    When passwords are stored in the Parameters by MC and no
    SASLAuthentication handler is used, e.g. under Sugar, we currently
    save passwords into gnome-keyring, if enabled at compile time; so, we
    want to read them back out of gnome-keyring.
    
    This conflicts slightly with wanting to ignore passwords in gnome-keyring
    that are left over from an Empathy 3.0 schema migration that failed
    due to fd.o #42088. To avoid failure to authenticate/re-prompt if the
    password has been changed on the service side, ignore passwords that
    are going to be deleted; but to avoid breaking Sugar, don't ignore
    any other passwords we might find in gnome-keyring.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=59468

commit 7da30dceb86e3bc38679e18e6deb30e82c877692
Merge: c244460e 07d5735d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-30 13:11:37 +0100

    Merge branch 'telepathy-mission-control-5.14'
    
    Conflicts:
            NEWS

commit 07d5735d63a0dd1102fcec454159aad36cdbe30a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-30 13:09:05 +0100

    NEWS for 5.14

commit 1b45aa774e0869c10275adf5c02b778d48b7a2b7
Author: Nuno Araujo <nuno.araujo@russo79.com>
Date:   2013-01-18 22:47:00 +0100

    Fix the build with automake 1.13
    
    In Automake 1.13, the long-deprecated macro AM_CONFIG_HEADER (deprecated
    since 2002) has been removed in favour of AC_CONFIG_HEADERS.
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=59605

commit c244460e5179ac4089fcb3a2c1c1949fdbf20a35
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-30 12:49:23 +0100

    tests: avoid an out-of-range int literal
    
    In this particular test case, the expected result according to the flags
    is "it fails", so the second column (expected converted value) is not
    relevant.
    
    This apparently causes build warnings (fatal by default) on ILP32
    platforms, because 2147483648 is out-of-range for a signed int or
    signed long on such platforms. It's certainly also out-of-range for
    the struct member it's initializing, which is a gint32.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=64083

commit 305be4e9c3fe0eb04b46ecaee7789935e2445dbd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-30 12:14:03 +0100

    NEWS

commit 393d6c8b6e64c487c8a426443d3b285c35093dce
Author: Joshua Lock <joshua.lock@intel.com>
Date:   2013-04-24 16:09:46 -0700

    connectivity-monitor: ConnMan Services with ready State are online
    
    A ConnMan Service is connected if it has a State of online or ready.
    
    [This can matter if your only connectivity to the outside world is through
    a proxy, in which case the State will remain 'ready' but Telepathy
    accounts might be usable anyway. -smcv]
    
    Signed-off-by: Joshua Lock <joshua.lock@intel.com>
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit e7511f28cd233213457f9d712d1441add2500546
Merge: 72cdbb73 cdfea3c5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-04 16:45:46 +0100

    Merge branch 'telepathy-mission-control-5.14'

commit cdfea3c5a600a18f2621c6249a374951496685ba
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-04 16:43:23 +0100

    Merge fd.o #63119 from telepathy-glib
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=63119

commit 72cdbb73d092de176fed47508f108fed8d4627c6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-02-13 14:44:51 +0000

    More NEWS

commit edd77d23975fabc9a33779cc4011dd84122c9b2e
Merge: 75ce9cdd 0fda3bd4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-02-13 14:36:42 +0000

    Merge branch 'altered-one-54780'
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54780
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    [deleted a stray line from a comment as per wjt's review -smcv]
    Conflicts:
            src/mcd-account.c

commit 75ce9cdd98c102643ff3eddedf4cf328d034d283
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-02-13 14:33:11 +0000

    More NEWS for 5.15

commit 16f3e22820de84e7227dee7b85a690bdc1d561e0
Merge: 5aeddb8e 06a09cf7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-02-13 14:20:16 +0000

    Merge branch 'mock-account-store-54873'
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54873
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Conflicts:
            tests/twisted/account-manager/avatar.py

commit 5aeddb8e0a314780585af7b8f19896a2be9815d4
Merge: 128ceb7d 39759899
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-02-13 14:13:42 +0000

    Merge branch 'typed-settings-54872'
    
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54872
    [amended to add GLib 2.32 dependency -smcv]
    Conflicts:
            src/mcd-account.c

commit 128ceb7d37ff5847a9e79f2bafa6127ae97f585b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-09 14:14:01 +0000

    NEWS for 5.15

commit 5047dc72737b9fcb2f1310f9b5cf8e5719a6fe52
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-09 14:01:57 +0000

    Clean all generated files, so we can distcheck successfully

commit 4ab810e7f3d7458bdd02549f631ee402ec6862a3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-01-09 12:05:13 +0000

    Communicate the detailed error from McdConnection to McdAccount
    
    In particular, this propagates the error from RequestConnection failing
    correctly, so add a regression test for that.
    
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=39334

commit d9d0d64c5046668a0e7dc261216672143a699559
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-09 16:00:48 +0100

    Remove McdAccount::connection-status-changed signal
    
    Nothing listens to it.
    
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=39334

commit 9c038fb370c25a2fb87fd80e71b4591cb81c5fa5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-01-07 16:18:09 +0100

    account-addressing: fire PropertiesChanged on URISchemes change

commit 4b5ccf8a74f6c80d4a9787fcaec445327d589800
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2013-01-08 13:53:06 +0100

    addressing.py: 'mailto' is the proper URI scheme

commit e34842e2101a54dc90d7496999da10f62c392d30
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2013-01-09 09:51:07 +0000

    Bump tp-glib dependency for tp_vardict_get_*
    
    a5a5d850 started using these functions, which were introduced in
    telepathy-glib 0.20.0.

commit 060e148bd71f3989861ab374dba89cc20278fcec
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2012-11-15 12:04:30 -0500

    build: honor NOCONFIGURE in autogen.sh
    
    Like telepathy-glib does already.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=57165
    Reviewed-By: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 52485ba01852a0fc7d46cb026adfbde16aa525d6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2012-11-15 12:04:30 -0500

    build: honor NOCONFIGURE in autogen.sh
    
    Like telepathy-glib does already.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=57165
    Reviewed-By: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit c3f9cd49aa0238922b5a0e972cf3cbe3a48be6eb
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   2012-11-01 00:24:35 -0500

    Update to current ConnMan API
    
    ConnMan 0.79 removed the GetState method and StateChanged signal.
    Use the GetProperties method and PropertyChanged signals as their
    replacements.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=56600
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 077ac24ef7d324fded1ebba928ee6150ab583e9c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-10-30 15:17:33 +0100

    Add missing config.h includes
    
    g_type_init() has been deprecated in GLib master. By including those files I
    can build without raising a deprecation error as we define
    GLIB_VERSION_MIN_REQUIRED to 2.30.

commit 2fe37c082b5db56513598beb638b331ccfff9b0b
Merge: 9b04e1ba 61566c4a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-09 16:53:19 +0100

    Merge branch 'aliasing-avatars'
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55668
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 9b04e1ba0a4cfe74345cb6eaa0496b3348e9a24a
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-06-15 12:26:26 +0100

    Check for the specific error codes when reconnecting
    
    The NetworkError connection status maps to several TpErrors,
    so first check the error codes to decide whether we should
    automatically reconnect, and fallback to the connection
    status if we don't recognize the error.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37844
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 61566c4ae43f312ed102eb1586e4aeb50dc03e6c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-09 11:36:28 +0100

    mcd_account_self_contact_changed_cb: ignore no-op changes

commit d4eec9aa5baa63fdfc0cf354561044786dfa23b5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-09 11:29:39 +0100

    mcd_account_process_initial_avatar_token: don't take self_contact argument
    
    It can be retrieved from the McdAccount.

commit d2a26f3b1a3d6e0fead0b2885347bb9e0d6d15bd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-09 11:27:57 +0100

    Ignore changes to the avatar of former self-contacts
    
    This is highly theoretical, but in principle it could happen.

commit 90dd8c46e8457629140397d6e6afacfe9f2eea6b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-09 11:25:55 +0100

    Implement Set("Nickname", "") by using the normalized name instead
    
    This is consistent with what we do when we first connect, and ensures
    that we always have some sort of nickname.

commit a4355bb2eb2a682a4c1298c01683cffb4e42a666
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-09 11:10:12 +0100

    nickname test: test what happens when we set an empty nickname

commit 97b7748520960cc4cda2f9c9c25eb5c5ad27e326
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-09 10:55:45 +0100

    Downgrade failure to prepare self-contact from WARNING to DEBUG

commit 420ba08af8aa3d2b7300f683725dc8cc52858d51
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-09 10:54:53 +0100

    Downgrade failure to set alias/avatar from WARNING to DEBUG

commit e49b1405fd0242c2e28b62905cb0dcfe1b8091d5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-05 17:54:04 +0100

    Track Avatars using McdAccount, and use the self-contact for it

commit 2a1d4dce7e7bfa08e646485d36f4223c46915a33
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-05 17:53:34 +0100

    Emulate the Aliasing interface a little more realistically

commit 51641776d8cb3ac2db46ccf062bbe5aae2588230
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-05 16:20:20 +0100

    Knock out most of the IRC test until fd.o #55666 is fixed

commit b543e87d5fcb65ef61516b4bf6c03cb4f27583b4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-05 13:45:58 +0100

    Add a regression test for an IRC-like protocol
    
    IRC has plenty of oddities, but the one we're interested in here
    is that your nickname and your unique identifier are inextricably linked.

commit eb7239987e2cddc1e2388428bf9f01bfc06fbb00
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-05 16:17:44 +0100

    McdAccount: cope with self-contact changes; follow the self-contact

commit f5333aaa31373ffc30bad96fb877b7a5915dd6bf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-05 12:42:39 +0100

    nickname test: verify that a trivial nickname is not set on connect

commit 121688c19cded284257b9e7a3690207d98899f82
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-05 13:21:16 +0100

    enable_fakecm_account: copy parameters and alter the copy
    
    Mutable defaults for arguments are dangerous. If we call
    enable_fakecm_account twice with default arguments, when we alter
    expect_before_connect/expect_after_connect, we are actually altering
    the default! Python doesn't construct a new empty list for us every
    time. The C equivalent would be a static GPtrArray * or something.

commit b6d933c6927a8b0b4c60a414ccd7c271fb14e0dd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-05 12:42:16 +0100

    Don't set the nickname to the normalized name on connect
    
    We still allow the nickname to be set to the normalized name by
    user action later, because in that case, the intention is unambiguous:
    the user really does want their nickname to take that value.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=39381

commit 4ab487bfbd4d8a8ed8f4fb6e42afaf2a35e8e59e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-05 12:04:02 +0100

    McdAccount: take responsibility for setting the nickname
    
    As well as being implemented in a more streamlined way (using the
    self-contact instead of calling D-Bus methods directly), this reduces
    the circular dependencies between McdConnection and McdAccount.

commit 8a27f3df35f58e48547a9d92711df16214edd5a4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-05 14:38:26 +0100

    McdAccount: store the self-contact

commit a5a5d85001669af4411d01daa98da0e6d3c3094c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-08 15:46:44 +0100

    _mcd_client_match_property: take channel properties as GVariant
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit eee9cebcfe2e583dbb5fd1421b879a7837bc7a2c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-14 14:45:38 +0100

    Generally use GVariant, not GHashTable, for channels' properties
    
    This means we can avoid the deprecated
    tp_channel_borrow_immutable_properties().
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 552dcac1ea50fbe0d64e4ec122b40d3d8fb5b391
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-08 15:30:47 +0100

    mc-tool: have a TpSimpleClientFactory to manufacture accounts
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 7f8f814ffc232cbfe903b66a418c52d2ce964f5d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-14 15:21:05 +0100

    McpDispatchOperation: use a new factory for each connection
    
    This avoids the deprecated tp_channel_new_from_properties(). It has the
    same disadvantages as that function, but is a bit more obvious about it.
    Also comment how to change things at the next ABI break.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 4413b17df8a2e7e5df1167e4f3848a98a6395945
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-14 15:51:04 +0100

    McdConnection: use TpWeakRef instead of replicating it
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit a41ad6c876407eeb47fa6ae4dc930d9fdae47c9e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-14 15:12:00 +0100

    McdChannel: use the TpConnection's factory to make TpChannel objects
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit bd19b09f83087cfde65ff5f777b30a07cf07e22b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-14 15:02:02 +0100

    McdAccountManager: have a TpSimpleClientFactory
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit ac8b57c149c9c84dc86427337d0b39999f96da2c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-14 15:00:20 +0100

    McdAccountManager: use tp_dbus_daemon_register_object
    
    dbus_g_connection_register_g_object isn't deprecated, but it's more code.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit e913203ccfe06fbf3435be69b0e6b07d1828ce73
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-14 14:42:29 +0100

    McdChannel: use tp_channel_get_requested instead of reinventing it
    
    MC's reinvention was potentially better if the channel might lack the
    Requested property... but that property has been mandatory for years,
    so CMs that haven't caught up can just deal with it.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 9f5aaffb018ce166c8181eb98cd13182112ead22
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-14 14:38:17 +0100

    Use tp_channel_get_connection instead of tp_channel_borrow_connection
    
    This requires telepathy-glib 0.19.9, so depend on it.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 8310376a77d8a591d438dd65f5050081430bd5ff
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-14 13:30:00 +0100

    mc-tool: use tp_account_manager_dup_valid_accounts
    
    tp_account_manager_get_valid_accounts has the confusing
    (transfer container) transfer-mode, and is deprecated in telepathy-glib
    0.19.9.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 534b0ed2fc2ddd4872bca3251025c30037fb3272
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-14 12:03:11 +0100

    Enable TP_DISABLE_SINGLE_INCLUDE
    
    Tested with telepathy-glib 0.20.0.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 5ba8d233c1776da8ab894e744e749b760c94275d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-14 12:02:59 +0100

    Update code generation tools from telepathy-glib 0.20.0
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 553120085c06d90a06f876a12344170b480c3846
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-14 11:58:27 +0100

    Enable TP_SEAL_ENABLE
    
    Tested with telepathy-glib 0.20.0.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 2637ab782d2ff562c40e18bae1f86f4d850537ed
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-13 17:57:35 +0100

    replace sealed struct members with getters and use TpProtocol
    
    Originally two patches for 'next' by Jonny Lamb.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit caacfe66c11a3c01fd29e935dd7b0ea7b9b474a6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-21 15:42:16 +0100

    WARNING, etc. macros: add
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit f694362379baca962247f4b62630866332a969a7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-21 15:37:03 +0100

    mc-debug-server: don't self-terminate when disconnected from GDBus
    
    It appears something in MC now connects to D-Bus for a second time,
    using GDBus this time. We don't want to exit-on-disconnect for this
    one either, again so we free all memory before exiting.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 33328b2b5cf1f8ea54dcadc639e90776544cad2c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-08-29 18:33:21 +0100

    add more telepathy-glib-dbus.h includes where appropriate
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit b265e18157aec3d387b344331fb2aa117f1257bb
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-08-29 18:29:54 +0100

    make-valid test: make connection object paths distinct
    
    If these object paths are the same, the factory will use the same
    TpConnection (even though they are actually different connections) and
    dispatching will happen twice.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55391
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit d98add74c5c5b142f4908dffdb6e0bac951d7564
Merge: dae5f166 76c62bcf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-04 16:03:30 +0100

    Merge branch 'storage-refactor-54870'
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54870
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit dae5f16617519406eaf9a41bc050d99944805dc2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-03 19:09:59 +0100

    Start the 5.15 branch

commit ff2df8e5eab56b0a5b013cb4333fbf41fd367414
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-03 19:09:33 +0100

    Revert "Don't check documentation completeness in this stable branch"
    
    This reverts commit 2a0b73c02353a155e473504546a8b7e598da4449.

commit e4b9946e98001d081c0e6bc15c16e27432782a29
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-03 19:08:52 +0100

    Revert "Upload documentation to the 5.14.x location"
    
    This reverts commit 5f156149b05e7b5ab9e54eeee729136d9d59128c.

commit 2a1ac0b29220b24a243124639e0bdd8b3c756022
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-03 19:08:48 +0100

    Revert "Don't warn on deprecated declarations, this is a stable branch."
    
    This reverts commit 4e5a187773cb34de567e3cf90d62710830bbd876.

commit 847e2b950aa18d530dc0f32b58e8bb11a1658039
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-03 19:08:22 +0100

    development version

commit c1fe16e325d1622bea056dbc8679c23e72000386
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-03 18:11:25 +0100

    fix Makefile syntax

commit a433ba2a46c9fdcd73e365c88639a6e501762893
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-21 15:35:54 +0100

    exec-with-log.sh: add gdb wrapper
    
    Based on a patch from Jonny Lamb; changed to use ${abs_top_srcdir} to
    work out-of-tree, backtrace all threads, and put the gdb script in /tools.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 91006767d5ce8f95b43c7ff85fc6e5ec90d8895c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-10-03 14:37:26 +0200

    prepare 5.14.0

commit 4e5a187773cb34de567e3cf90d62710830bbd876
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-27 10:50:08 +0100

    Don't warn on deprecated declarations, this is a stable branch.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 5f156149b05e7b5ab9e54eeee729136d9d59128c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-10-03 15:05:06 +0200

    Upload documentation to the 5.14.x location
    
    To be reverted in the 5.15 branch.

commit 2a0b73c02353a155e473504546a8b7e598da4449
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-10-03 14:57:48 +0200

    Don't check documentation completeness in this stable branch
    
    To be reverted in the 5.15 branch.

commit 90a3b33273dd4384ebf653c9ec4c7a5fbc752246
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-20 16:15:48 +0100

    Post-release version bump

commit e80d7797aa038480701c6819bc178c9302d823e7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-20 15:41:12 +0100

    Prepare version 5.13.2

commit d33c6c16abd488f6ec3fae2dbc88ffc6a3514c0b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-20 15:35:49 +0100

    NEWS

commit b6f897048723dab0a1aefaacb969e8026a3d6e4d
Merge: 5b5ee486 7095375b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-20 15:09:20 +0100

    Merge branch 'xdg-keyfile-35896'
    
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35896
    Conflicts:
            src/mcd-account-manager-default.c

commit 5b5ee4862e11ab2b12d8f652d06b45600dc358af
Merge: 0bb531d7 ef2ea07d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-20 15:07:13 +0100

    Merge branch 'telepathy-mission-control-5.12' into master
    
    Conflicts:
            NEWS
            configure.ac

commit ef2ea07d1b27dabd87e0ae028396138f78d1970a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-20 14:58:30 +0100

    the obligatory version bump

commit 010ab4ba86f557f89e1ec2045dc9fc5ae71513ad
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-20 13:21:47 +0100

    Prepare version 5.12.3

commit 17965ae51796f93771a6444e90f6846639b68a9b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-20 13:21:31 +0100

    Do not distribute mcp-signals-marshal.h, which is generated at build-time
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit eaefb264316f206186b2ac7f1f36e6a4692deb3d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-20 12:28:59 +0100

    Default accounts backend: finish password migrations that Empathy 3.0 started
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42088
    Bug-Debian: http://bugs.debian.org/687933
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 5c89fe0b540eaeecd72379f1f2b9da07883425e9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-30 16:53:36 +0100

    Make the gnome-keyring test work again, with modern gnome-keyring
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42088
    Cherry-picked-from: c21e2b09bf4cdda6fb05d64f9198f6db7b776c76

commit 0fda3bd4b8217460a3c755e8eae8c48ad6478958
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-12 12:26:16 +0100

    Test that an account storage backend can alter AutomaticPresence
    
    AutomaticPresenceType etc. don't work, but AutomaticPresence does.

commit 06cb1df43b9113eb0f202b4ae9d95adc032b5d67
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-12 12:21:14 +0100

    mc-tool: add getter for AutomaticPresence

commit 287f7425b9069fae816f1e2872b5992dffb17074
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-12 12:21:04 +0100

    Use combined AutomaticPresence in tests where either would do

commit 5b21fc3d06fba26dfef4ebd5e4287e57e1a416db
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-12 12:20:29 +0100

    McdAccount: store automatic presence as a single attribute
    
    This will be necessary to make its change-notification work correctly.
    
    Use tests/twisted/account-manager/auto-connect.py to exercise the
    automatic migration.
    
    account-storage/default-keyring-storage.py is broken by this change,
    because it asserts that keyfiles from a lower-priority XDG location
    are not automatically migrated to a higher-priority location until
    something actually changes, and the migration of AutomaticPresenceType
    is a change. To avoid that, put the automatic presence in lower-priority
    keyfiles in that test in the new format already.

commit a90652ddf3103de75c345f198f3c8ce4d797d443
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-12 11:40:10 +0100

    Add a regression test for (un)escaping things in keyfile format

commit 938facb6517d2daecdf60a287f04d0cdf1f3fd66
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-12 14:28:07 +0100

    McdStorage: add support for storing structs (uss) in keyfiles

commit f2cfc78ac1a37cb9a85055602cf7c001045492bf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-11 18:42:22 +0100

    McdAccount: consolidate AutomaticPresence setting

commit 20661d5734d5d7c8f1e95b70be7b4f49f7cf4c04
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-11 18:35:16 +0100

    TestDBusAccountPlugin: push typed parameters into MC

commit 05d1af08748932319ac5133f716deac4fae9b698
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-11 18:35:01 +0100

    Add a way for storage plugins to push typed parameters into MC

commit 0a3f99bb6bb8703777e0060fa378360958a25032
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-11 18:01:04 +0100

    McdAccount: add a way to tell property setters that storage has already been updated
    
    This lets us get AccountPropertyChanged signals for more attributes
    changed via McpAccountStorage::altered-one, which would previously be
    suppressed because altered-one's API is that the storage plugin has
    already updated the McdStorage before emitting the signal. The
    property setter would then notice that the value was the same as
    in McdStorage, and assume that that meant it hadn't actually changed.

commit 2c1a41059fec4657c59078525ca2527a06443b90
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-11 17:22:29 +0100

    mcd_account_altered_by_plugin: get the new value from the McdStorage
    
    This means we pick up the new value a little more reliably: in
    particular, this fixes processing of URISchemes, ConnectAutomatically
    and Supersedes.

commit d62d0742c69c81cd0299f8dc30d6f717bba0493a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-12 14:27:01 +0100

    mcd_storage_init_value_for_attribute, mcd_storage_get_attribute_type: make extern

commit 06a09cf70713999a11ba9227baa00264c95c25e8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-11 17:02:41 +0100

    Add a regression test for an account storage plugin altering accounts

commit a851f84c246259a3922b55cb1224ff5224809fd4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-11 17:12:06 +0100

    WARNING macro: add

commit 8c2c761e11c389bb243763b59cf3f1d63d94b283
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-11 14:24:16 +0100

    Mock accounts service plugin: respond to change signals from service

commit 8ffb3f507c35af24fac0b4fb28438d4af7fb298c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 19:12:10 +0100

    Mock accounts service plugin: receive settings from MC as GVariant

commit 8b602c52b9e2007740309ad1c84eaf2966143135
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 19:01:14 +0100

    Let storage plugins receive new values as GVariants

commit 4efea11d2ed33a92f6ef05a954acfb180083531d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 15:57:02 +0100

    Preload accounts via fake accounts service when required
    
    The only tests left using real account storage are the three tests for
    specific plugins: default keyfile/keyring, diverted keyfile and
    libaccounts.

commit d6c23d2fc528b3cff92ec78c706a78cd561a2a9b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 15:38:24 +0100

    account-manager/avatar test: assert about mock accounts service interactions

commit 2ecab4c8c5109722bbf7c0f2df8d7d2c6aa64c6c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 14:57:21 +0100

    account-basics test: assert that the mock accounts service is used correctly

commit 9d952ab91dfa2a87383492d0ad68a286c9236d49
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 14:57:15 +0100

    Use the mock accounts service for the majority of our tests
    
    For tests that rely on special behaviour such as "preloading" keyfiles
    with specific contents, don't provide the bus name of the mock accounts
    service, resulting in fallback to the diverted-keyfile plugin.

commit 73306e67755de2b2b16d3a88d2ac9c8efe40bd99
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-12 13:21:02 +0100

    Add a fake account storage backend which uses a mock D-Bus service

commit 3975989913b12fa1488d00085d8cdb84e5b3f46d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 18:31:43 +0100

    mcp_account_storage_owns: add
    
    At the moment we use get() to see whether a plugin thinks it "owns" a
    particular account, but it seems clearer and more self-documenting
    to have a dedicated virtual method for this.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit fb470a3a8bde4e2bf07cf93722daa016a6344c2c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-12 13:19:57 +0100

    mcp_account_manager_escape_variant_for_keyfile: add to plugin API

commit 7cf22355325f32bcf9898cfeb253390ed6624923
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 18:30:11 +0100

    Give account storage plugins a way to find out the GType for an attribute

commit 7975d386c95469d2e5aa7626524dc906dfeb64ef
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 10:51:23 +0100

    Require Python 2.6 so we can use "except A as b" etc.

commit ee9b43cb446218b3fca3a0a753a4a3a94413c81c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 18:27:28 +0100

    McdStorage: store parameters in-memory as GVariants, with a fallback
    
    We don't necessarily know a parameter's type until we come to use it,
    so we can't necessarily decode it from a plugin straight away. However,
    if a new value comes in from UpdateParameters, we do know the type for
    that one.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 51b984b7cede7c2a2f2ec591846ac41573fd1887
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-12 14:20:13 +0100

    McdStorage: store attributes in-memory as GVariants, not keyfile syntax

commit 6cce93320368fb34ab7e13b8eb1e4d6b33634006
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 18:23:08 +0100

    Consistently use the constants from mcd-account-config.h
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 8a264749eabe572c0a41a135281890ae660b2222
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-05 17:55:41 +0100

    mcd-account-config.h: list every setting (i.e. all non-parameters)
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 51357aacd99dd5f0057aeb9f743a2e696e10d7b3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-05 17:55:06 +0100

    Rename MC_ACCOUNTS_KEY_ALIAS to MC_ACCOUNTS_KEY_NICKNAME
    
    Its value is actually "Nickname" so its name should follow.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 444c32b0de9e97b0046ef613c1c15eb9e8ef5ff8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 18:21:33 +0100

    McdStorage: in update_storage, take the escaped value as a parameter
    
    This saves looking it up again.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit c1152ed446503574f718a1cddaa5fcb80520dfd4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 19:22:57 +0100

    McdStorage: change internal storage away from GKeyFiles
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit fd9f5784098d774076a12a5dd0da693f2b417cca
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-06 12:23:53 +0100

    mcd_keyfile_escape_value, mcd_keyfile_unescape_value: add
    
    Also make them available to account storage plugins.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 2a647cbf905ad47a3d597499efc3eaae1397b719
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 19:19:47 +0100

    McdStorage: distinguish between parameters and attributes
    
    Parameters are part of the Parameters property, have CM-specified types
    and can be secret, whereas "attributes" (everything else) mostly stand
    alone, have known types hard-coded into MC, and are all non-secret.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 76c62bcf500acc21ef8db2064ed00d01e51b039d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 10:31:43 +0100

    McpAccountStorage: don't double-register signals if implemented twice
    
    The base_init function of a GInterface is called once per implementor.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit d75df979a3cc8fe700197b3d96f5332187c52c2c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 18:12:39 +0100

    McpAccountStorage: improve documentation

commit 9bf797ebf0bac51b3647bd063b47ca8d78c0c84d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 18:10:52 +0100

    Mark McpAccountStorage::altered as deprecated
    
    It would be nice to have, but apparently it doesn't actually work...
    so I'm not going to waste any time on it.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=28288

commit f976919e884fd85726b232eab3f76c558c904308
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 18:07:34 +0100

    Deprecate and undocument McpAccountStorage's vtable-filling functions

commit 48ca9d546d08df14cd4f79bc00627206c7a7efb6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 18:07:06 +0100

    All account storage plugins: fill the vtable directly

commit 2ce2e402e3325517470480a1734f9b4cda6d19e0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-10 16:37:58 +0100

    McpAccountStorage: stop recommending mcp_account_storage_iface_set_desc, etc.
    
    Now that the vtable is public, you can just fill it in.

commit 95ded438d50149b02e2ee36f39e92a19d9770de9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-06 12:13:02 +0100

    mcp_account_manager_set_value: document
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 5ca771a0a76ef6fc41aba893bf3d100cda03a618
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-06 12:16:36 +0100

    Unify loading of new accounts
    
    Rather than having both the AM and McdStorage know how to load a new
    account, it's better to give the McdStorage a method to do it. This way,
    when it gets more complicated, we only need to change one place.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit bf70a86c39902ccf4fdad8aec1be1bbcc661d148
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-05 14:23:01 +0100

    mcd_account_property_changed: rename to mcd_account_altered_by_plugin
    
    The parameter is either "param-" + a parameter, or a setting. It's
    not necessarily a property name!
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 0ca9a72ee4285af5c12bd120c66487f09dc3600a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-05 14:21:30 +0100

    McdStorage: implement get_string, get_boolean, get_integer in terms of get_value

commit ab6057bbb22d40fdf494aabdb9285a2556ff564c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-07 17:44:41 +0100

    mcd_storage_dup_value: alter signature, rename to mcd_storage_get_value
    
    Its callers become considerably simpler if it takes a pre-initialized
    GValue of the appropriate type and fills it, much like
    g_object_get_property().
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 76a7c315686a94b7b56c2c5e3cd83de72aed2735
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-07 17:38:32 +0100

    mcd_storage_has_value: remove, no longer needed
    
    Now that mcd_storage_dup_value() doesn't make up a value for parameters
    that are missing or can't be parsed, we can just rely on dup_value()
    raising an error for missing parameters.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 87b40cf09a3589daca09d9a54b466b0c0572f98b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-07 17:37:29 +0100

    mcd_storage_dup_value: don't return non-NULL with error set
    
    The practical effect of this is:
    
    * addressing_set_uri_scheme_association() needs modification to cope
      with a NULL return, which previously never happened (an empty
      string-list was returned on error)
    
    * addressing_get_uri_schemes() needs the same change
    
    * mcd_account_get_parameter() treats parameters whose value in the
      keyfile cannot be interpreted as the desired type as if they were
      unset; previously, it treated them as 0, False, "", [], etc.
    
    The old behaviour of mcd_account_get_parameter() seems undesirable:
    we shouldn't just make up parameter values. If the parameter is boolean
    "require-tls" and its value gets set to 2 for some reason, we should
    invalidate the account, rather than setting it to False and carrying on!

commit 3e08626fafa696290162fb8baafa5bc4cece07fa
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-05 10:07:33 +0100

    mcd_storage_set_string: implement in terms of mcd_storage_set_value

commit ed5ec4105052e5e86f7471855a5c234822fc1c74
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-05 10:03:37 +0100

    mcd_storage_set_value: unset keys directly instead of via set_string

commit a04220ab092e417f451d8ce55839d60469238ed1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-05 10:02:27 +0100

    McdStorage: include flagging-as-secret in update_storage()
    
    This guarantees that we don't forget to flag things as secret, and also
    avoids unnecessary indirection through the McpAccountManager vtable.

commit 7095375b51547bea365ed321f06ba6a7c7cd2101
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-07 13:57:29 +0100

    Update documentation of --with-accounts-dir
    
    It used to be where we kept accounts; now it's only the source for
    account migration into XDG_DATA_HOME.
    
    Keep its name the same, so that if a user or distribution is configuring
    with --with-accounts-dir="~/.mc-accounts" or something, the migration
    works as intended as long as they continue to do so. (We don't
    recommend doing so, though.)
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35896
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit c710e7bc5c302d657184077e0cc5530646efdb5f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-07 13:54:19 +0100

    Default account backend: write accounts to XDG_DATA_HOME, with fallback
    
    If the user has ~/.mission-control/accounts/accounts.cfg we migrate
    from there to XDG_DATA_HOME/telepathy/mission-control/accounts.cfg,
    and if successful, delete the old name.
    
    If the user has XDG_DATA_DIRS/telepathy/mission-control/accounts.cfg
    (in a lower-priority path element than XDG_DATA_HOME), we use it,
    with copy-on-write into XDG_DATA_HOME.
    
    (Limitation: the account-store executable used in some tests only reads
    from XDG_DATA_HOME, and doesn't understand the XDG_DATA_DIRS and
    MC_ACCOUNT_DIR fallback.)
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35896
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 8de58594deeff1d26046f17487c5752b6fa0aeeb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-07 13:06:41 +0100

    Default account backend: include directory creation in _commit
    
    Also check for errors - we can at least give a useful warning.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35896
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 9a932a687f75be5238c533d928f914292a5e9c43
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-07 13:11:50 +0100

    Default account backend: restructure to be able to look in multiple places
    
    This isolates all file-writing into _commit, and all file-reading into
    am_default_load_keyfile.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35896
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit bd9334449d2ff1db6158ecfbb41f65327a40a078
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-04 15:43:33 +0100

    McdAccount: migrate avatars to a XDG path
    
    This is the easy part of XDGification: there is no plugin involvement or
    anything for avatars (yet!), it's just hard-coded.
    
    Changing the avatar location from a single directory to a search path
    results in some new corner cases, so test them.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35896
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 416486d706a4d717ad5670abca61e333471bfbdc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-04 15:03:12 +0100

    mcd_ensure_directory: add
    
    I keep calling g_mkdir_with_parents() and expecting it to return a
    boolean (it doesn't, it returns 0 or -1), so it seems worth wrapping
    it in something more sensible.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35896
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 947aaa3c91f7f286d37f803286d77070f0cc6fb2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-03 19:12:29 +0100

    Tests: distinguish between XDG cache/config/data home, and MC_ACCOUNT_DIR
    
    We want to be sure that MC is using the right one in each situation.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35896
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 0bb531d7856f4b79edd7d328cef59e58f7f08ac8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-31 19:49:30 +0100

    servicetest: don't eavesdrop on method replies or errors
    
    Eavesdropping on method replies breaks libdbus if you call methods using the
    same connection. You can get into a situation like this:
    
    * Test calls a method on MC; say the serial number is 42
    * At around the same time, MC calls a method on gnome-keyring and also uses
      serial number 42
    * gnome-keyring replies, labelled "in reply to 42"
    * Test is eavesdropping, so it sees the reply going from gnome-keyring to MC
    * Test interprets the reply from gnome-keyring to MC as the reply it was
      expecting from MC, sees completely the wrong types, and becomes
      confused
    
    This seems unlikely - but because serial numbers are sequential and
    start from 1 for each connection (as opposed to starting from a random
    offset), two connections can quite easily happen to sync up. I saw it
    happen most recently in the gnome-keyring test. With the benefit
    of hindsight, I think I've seen this before: whenever the tests
    made an Introspect() call which returned a type other than 's', that
    was probably this bug.
    
    We never actually generated events for messages other than signals and
    method calls, so match those ones specifically, and don't eavesdrop on
    replies.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54495
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 0675c366c5b326d50a1ad7f368ee47c4219a47bd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-07 11:29:53 +0100

    Don't generate code for Account.I.Addressing, use telepathy-glib's
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54633

commit 375a55b0bc2f92a0ec6f409695b397aa7f6ec82e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-07 11:15:52 +0100

    Be single-include-compliant when generating service bindings
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54633

commit 37609dd9849871633f84192a0ce4fe65c40784e6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-07 11:11:23 +0100

    Use G_VALUE_INIT instead of { 0 }
    
    We already depend on GLib 2.30, which is new enough.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54633

commit a729a511399712c4b8fbfbef9d3517aaaa4ad9d7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-29 11:36:37 +0100

    mcd_service_new: use tp_dbus_daemon_dup()
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54633

commit 362ef681dbaea571ccfccc3dbe06f2218780d217
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-29 11:18:11 +0100

    mcd-dbusprop: remove support for filtering property setting through an ACL
    
    This provided an asynchronous API for getting and setting properties,
    which nothing actually calls into, and nothing in MC supports setting
    properties asynchronously anyway. Into the bin it goes!
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54633

commit d14283c0220d24772372128d534e8e230a3b2088
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-28 17:10:13 +0100

    McdMaster: remove unused variable left over from old-style plugins
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54633

commit 450f485e4e9bb3be2ddb023e42de1fcf1fa2b282
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-28 16:53:17 +0100

    McdAccountManager: remove useless virtual method
    
    We no longer allow McdAccountManager or McdAccount to be subclassed.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54633

commit f1a2718edbe6392e399e4498dc86249ef3f90fac
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-28 16:50:12 +0100

    McdAccountManager: move initialization from init to constructed
    
    This lets us use the construct properties, and in particular the
    TpDBusDaemon, which means we can make it a construct-time property
    on McdStorage.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54633

commit 9ead40da113ae477439c322d605d9dc35d38e062
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-06 19:04:42 +0100

    Post-release version bump

commit 329a390d283e44c2955e87600428fb7cd86b97bf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-06 18:23:15 +0100

    prepare release

commit 8453cbb099abd8f3ab3992559750297cea7c7ce0
Merge: 2667fa04 dd0eb39c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-06 18:11:50 +0100

    Merge branch 'telepathy-mission-control-5.12'
    
    Conflicts:
            NEWS
            configure.ac

commit dd0eb39c5da72f5f0fae9bfc28072b001044b7bd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-06 18:05:24 +0100

    tools/Makefile.am: be careful not to create empty files in the builddir
    
    "make distcheck" in an already-out-of-tree build turns out not to
    work because of this.
    
    This corresponds to commit beb2d971 in telepathy-glib.

commit 073c5898443755d64752d92b2ac0c1f94581f3e9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-06 18:00:05 +0100

    post-release version bump

commit e37277d17d9c7cbbb519e9e881d1582727b3acb2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-06 16:59:40 +0100

    Prepare release

commit 5e1bbe8f891af4d86cb9dfd2f0b36fdfbbb7b2ef
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-06 16:40:37 +0100

    Butterfly account migration: migrate the password too, if stored
    
    Otherwise the upgrade from Debian 6 to 7 forgets MSN passwords, which
    is not the end of the world, but seems less nice than it could be.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 3ae49c706e93d06131cabf5b4a0421869948ec62
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-09-06 16:43:19 +0100

    Migrate from Butterfly to Haze even if Butterfly is no longer installed
    
    Mission Control has a bug/design flaw/whatever in which it doesn't
    know the types of parameters without looking at the corresponding
    connection manager, which doesn't work if that connection manager has
    been uninstalled. This turns out to be bad for the upgrade from
    Debian 6 to Debian 7, which upgrades MC to a version that will
    perform the migration from Butterfly to Haze, but also uninstalls
    Butterfly...
    
    Since we know what the type of 'account' is, with a bit of refactoring
    we can tell McdAccount that we know it's a string, get its value
    anyway, and get on with our lives.
    
    Bug-Debian: http://bugs.debian.org/686835
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>

commit 1ce1e32bc7f83b5dfc3b75407e896c7bd7e6cbdb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-30 18:50:41 +0100

    Default account backend: when deleting passwords, delete the same thing we will look for
    
    Deleting secrets with param="param-password" isn't a whole lot of use
    when we save, and look up, param="password".
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42088
    Cherry-picked-from: 1d9e8f5cfb9e7b426a99ae6e16c35c1101d55a91

commit bd56ee0e36a681ee50d3e02d4f158bbc5df462f1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-30 18:12:06 +0100

    Default account backend: when deleting from the keyring, remove from secrets
    
    Otherwise we'd just delete it, then (because it's still in secrets)
    re-commit it!
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42088
    Cherry-picked-from: 16e4507c5001f6f45158ef3d0b46998fa8c1ca2a

commit efc15381535a2d94eeec2b19651302768f65d0ad
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-30 16:03:08 +0100

    _keyring_commit: perform deletions for keys in removed, not in secrets
    
    'removed' is essentially a set of (account, key) tuples that should
    be deleted. What we were doing was:
    
        foreach account in removed
            foreach key in secrets[account]
                delete (account, key)
    
    which makes little sense - if we have param-password and
    param-proxy-password and we want to unset Parameters['password'],
    the current implementation would delete both. This commit changes it to:
    
        foreach account in removed
            foreach key in removed[account]
                delete (account, key)
    
    which has the advantage of actually making sense.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42088
    Cherry-picked-from: d4ca35cffea9d0093e127e0be633501d22ded35f

commit dbba880903def15bc7bb5fdb9d05ee310f1a5bfe
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-30 18:09:21 +0100

    Default account backend: when deleting, always delete from both places
    
    Our tracking of whether something is "secret" (in the gnome-keyring) is
    pretty shaky, and in particular, we can forget that things are meant
    to be "secret" sometimes (we lose that information when deleting
    parameters).
    
    Happily, when we're deleting things, it doesn't actually matter: the
    right thing to do is clearly to delete from both locations, regardless
    of where we think it ought to be.
    
    Similarly, when we're setting a property to a new value, it's appropriate
    to delete it from both locations, then put it in the right location
    (only).
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42088
    Cherry-picked-from: 5b4954d2c959c4ba7f6c67b7d8e16eaa5ab272dd

commit 2667fa042934116d06a828767860964f52363943
Merge: 80e392f2 a5fb89ba
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-09-06 11:19:21 +0200

    Merge branch 'telepathy-mission-control-5.12'

commit a5fb89bad8b6fc7498cb7056faea1fdaa44de986
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-09-04 13:51:20 +0200

    mcd_connectivity_monitor_is_online: check if we are awake as well
    
    To be considered as online, we have to be connected to the network *and* not
    in the proccess of sleeping.
    
    Fix a race where an account we just disconnected because we are going to sleep
    is put back online because the monitor was considering us online again.

commit 80e392f2253fd9624b7a3862c6faeaf698905118
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-05 12:07:56 +0200

    McpAccountStorage: add signal to request an account reconnection

commit 81c21ac1e2755dd63ecca892d0dbc65f9c4aa8c6
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-05 12:10:12 +0200

    McdAccount: factor out code to reconnect

commit 23b91753f3460a0e4b52a1b9c4cec98603ff9c5c
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-09-05 12:02:20 +0200

    McpAccountStorage: add functions to emit interface' signals

commit 87001e5b9f5ce3124167766d61fa9993e1fad3f4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-31 15:27:44 +0100

    NEWS

commit 2e3360a39c4a9202d3ba473292f90ef5a821b10c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-30 19:32:19 +0100

    Default account backend: test that *all* passwords are deleted
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42088

commit 825f59e988c8435c5de0899abe45081440991f7b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-30 17:16:55 +0100

    Test deletion of passwords from accounts
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42088

commit 455d7be6901945117761e697c9e561b4c0165ee7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-30 18:51:19 +0100

    account-store-default: load the same names that MC would
    
    This tool was previously not deleting "param-".
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42088

commit 1d9e8f5cfb9e7b426a99ae6e16c35c1101d55a91
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-30 18:50:41 +0100

    Default account backend: when deleting passwords, delete the same thing we will look for
    
    Deleting secrets with param="param-password" isn't a whole lot of use
    when we save, and look up, param="password".
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42088

commit 16e4507c5001f6f45158ef3d0b46998fa8c1ca2a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-30 18:12:06 +0100

    Default account backend: when deleting from the keyring, remove from secrets
    
    Otherwise we'd just delete it, then (because it's still in secrets)
    re-commit it!
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42088

commit d4ca35cffea9d0093e127e0be633501d22ded35f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-30 16:03:08 +0100

    _keyring_commit: perform deletions for keys in removed, not in secrets
    
    'removed' is essentially a set of (account, key) tuples that should
    be deleted. What we were doing was:
    
        foreach account in removed
            foreach key in secrets[account]
                delete (account, key)
    
    which makes little sense - if we have param-password and
    param-proxy-password and we want to unset Parameters['password'],
    the current implementation would delete both. This commit changes it to:
    
        foreach account in removed
            foreach key in removed[account]
                delete (account, key)
    
    which has the advantage of actually making sense.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42088

commit 5b4954d2c959c4ba7f6c67b7d8e16eaa5ab272dd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-30 18:09:21 +0100

    Default account backend: when deleting, always delete from both places
    
    Our tracking of whether something is "secret" (in the gnome-keyring) is
    pretty shaky, and in particular, we can forget that things are meant
    to be "secret" sometimes (we lose that information when deleting
    parameters).
    
    Happily, when we're deleting things, it doesn't actually matter: the
    right thing to do is clearly to delete from both locations, regardless
    of where we think it ought to be.
    
    Similarly, when we're setting a property to a new value, it's appropriate
    to delete it from both locations, then put it in the right location
    (only).
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42088

commit c21e2b09bf4cdda6fb05d64f9198f6db7b776c76
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-30 16:53:36 +0100

    Make the gnome-keyring test work again, with modern gnome-keyring
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42088

commit 548801efb1852a1b0be04992f248adc60123a973
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-06-15 18:15:46 +0100

    gitignore: updated
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 1e6577380a651ba28388a4a0d806e64065e48c56
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-28 16:14:34 +0100

    NEWS

commit 676be2e38d43dc5dd5cc5507c4bccea159b4d735
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-27 19:04:16 +0100

    plugin-account.c: rename to mcd-storage.c
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54151

commit 019ebd806da9f0b83a1ab2ef60bc03e9e0da5af0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-27 19:01:35 +0100

    McdStorage, McdPluginAccountManager: squash into one class
    
    The Storage name stays, to make the diff more readable. The header
    is mcd-storage.h but the implementation is still plugin-account.c,
    for the same reason.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54151

commit 61066078763c94ef9ce7d674b7b2e19efe6d709e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-27 18:02:51 +0100

    McdStorage: remove _mcd_storage_store_connections
    
    I'm not sure why this was in McdStorage at all. It's a bit of a layering
    violation: AccountManager has a Storage, so Storage shouldn't call into
    AccountManager. We can fix the layering violation by adding a signal
    to McdAccount.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54151

commit 6d6fe1b3903e1df4714a0fc217f75e9ea1120c19
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-27 17:05:45 +0100

    McdPluginAccountManager: fold interface methods into their implementations
    
    Nothing except McdPluginAccountManager implements McdStorage, and nothing
    ever will or should, so we can squash the two together.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54151

commit 448148d83cb488c9909290a8f1ea04e8c490e968
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-27 16:37:12 +0100

    McdMaster: fail to build if umask() is missing
    
    We ought to be able to rely on umask() for files created since 5.2.2,
    at least on Unix.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Xavier Claessens <xavier.claessens@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=54151

commit 70062e7a10ff62b3e0852001ab93a4bd9375714d
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-08-28 11:18:10 +0200

    mc-tool: Display account's supersedes

commit b5e82890de690905cabe24203ecd46ae41075998
Merge: a3cb554f 47f3cb54
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-27 11:50:59 +0100

    Merge branch 'telepathy-mission-control-5.12', rejecting stable-only changes

commit 47f3cb54fcda485e3fbfc9b297dd556a504273b7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-27 11:49:45 +0100

    NEWS

commit 249a3a81704d7af6426cc58732097056ca482c19
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-27 11:48:04 +0100

    Revert "stop using deprecated tp-glib functions"
    
    This wasn't really an appropriate change for a stable branch: it
    introduced code churn without actually fixing a bug. We should
    ignore deprecation warnings instead.
    
    This reverts commit 88642511bb9c6f66d2fe4aae1550893eb0d781b2.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Acked-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit df7276a652ac3f69e330f1fb8d126c229041ace0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-27 10:50:08 +0100

    Don't warn on deprecated declarations, this is a stable branch.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 131248f8e1aec7b47e47e96d33122f4bfbcb66f2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-14 16:41:45 +0100

    Disable the connectivity GSetting on Android
    
    There's no immediately obvious way to install GSettings schemas there.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=53497

commit a3cb554fd61cd91aec453052356570602e802475
Merge: af504f1f 09c0b671
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-08 10:36:49 +0100

    Merge branch 'telepathy-mission-control-5.12'
    
    Conflicts:
            NEWS
            configure.ac

commit 09c0b67148873c65d36afd322712a8a6db7eb7a5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-08 10:32:58 +0100

    NEWS

commit ad4b94ecd7768bd952cdcba51fd7039f564e6765
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-08-07 19:48:09 +0100

    Avoid race between Mission Control's two names by having one wait for the other
    
    If you do:
    
    dbus-send --dest=org.freedesktop.Telepathy.MissionControl5 \
      --type=method_call --print-reply / org.freedesktop.DBus.Peer.Ping & \
    dbus-send --dest=org.freedesktop.Telepathy.AccountManager \
    --type=method_call --print-reply / org.freedesktop.DBus.Peer.Ping
    
    then one or both of the calls will fail because the executable claims
    one of its bus names, but can't get the other, and exits 1.
    
    By making one wait for the other, we get the desired behaviour.
    I've made activating MissionControl5 wait for AccountManager because
    in MC's current implementation AccountManager is taken last.
    
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=53220

commit af504f1f7db73c71e35f3c3701bfe9e428d02b72
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-08-07 10:36:28 +0200

    mc-tool: don't display empty 'Addressing' section
    
    The general behaviour is to only display relevant fields.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=53202

commit e845663d154a94d76131dd3ab3534037a3bb516e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-08-07 10:24:05 +0200

    mc-tool: add 'dump' command
    
    Useful to quickly check all the accounts in one shot.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=53202

commit 548451d9e4ef003dd64714d31850f04911eb7277
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-08-07 10:16:50 +0200

    mc-tool: display Account.Storage settings
    
    Don't display StorageSpecificInformation as it requires an extra async call to
    be retrieved and it's not that useful anyway.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=53202

commit af6c1ad94a7a677506f10778d426106d8538b428
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-31 11:47:53 +0100

    NEWS (also mention removal of obsolete features in 5.13.0)

commit ddd21ba082fd5a90e93052463d00927853a8ecea
Merge: ee34e401 694be3e5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-30 15:41:00 +0100

    Merge branch 'one-channel-should-be-enough-for-anyone'
    
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit ee34e40100294702f9bcde300056f659de4e3ed8
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-23 14:02:13 +0200

    Post-release version bump

commit 56a82e1c202ace036885b4a4b04feb64b14fde99
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-23 13:53:43 +0200

    Prepare 5.13.0 release

commit fd24dd6521bf9a9bebfcbf0241b3b8129bc90e61
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-19 10:38:20 +0200

    McdAccountStorage: fix altered-one signal
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52231

commit 149a95692b98dbeb84f1ce4a6a11447e015f0598
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-19 10:38:20 +0200

    McdAccountStorage: fix altered-one signal
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52231

commit 366068c784c7875516a817d480c3ecf244398680
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-17 16:51:41 +0200

    CreateAccount: make possible to select a desired storage
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52231

commit 694be3e53cb8523f86afb73f3ecc0f089610375a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-20 14:03:51 +0100

    McdDispatchOperation: only have one lost_channel, too
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit 080860028665d9d76bede9c8f96e315af365fb5f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-20 13:46:52 +0100

    McdDispatchOperation: store one McdChannel, not a list
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit d8da0aa2b9144d26da3926a6cf8f6f154cd5729c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-15 20:06:36 -0400

    McdDispatchOperation: collect_satisfied_requests: only take one channel
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit 01e04709772936a6791330b49c02167b0ea7fafa
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-20 13:33:08 +0100

    Replace iteration over channels with check for having a channel
    
    Now that there can only be one channel, we don't need to iterate.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit 60ee7341921191f2de4ec587eb098fe55488a869
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-20 13:27:19 +0100

    _mcd_dispatch_operation_new: only take one channel
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit 80ea4690cef4b6e2e4509df7fc9040b66ff93faf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-20 12:13:30 +0100

    _mcd_dispatch_operation_dup_channels: turn into dup_channel, singular
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit b8427349b001b799b9b0dfd63686cc80c2625722
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-20 12:12:59 +0100

    McdDispatchOperation: use internal list instead of dup_channels()
    
    Now that there can only be at most one channel in the list, it's
    pretty easy to do directly.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit 4877199bfb9ac256dc50893adc6462c288c1a36a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-20 12:04:35 +0100

    _mcd_dispatch_operation_peek_channel: adapt from old _peek_channels
    
    Now that the CDO can contain at most one channel, there's no need to
    return a list.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit 89aeb1f75cbdb787e2e4df6433fd41f62d6660d8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-20 13:15:26 +0100

    McdDispatchOperation: change channels property to channel (singular)
    
    For now, the variable that implements this property is still a list
    of length 1.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit 95eabd3a26fac84405bd79f1dc109f50ed0fba06
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-15 17:12:37 -0400

    McdDispatchOperation: remove untrue comment
    
    I dimly remember that _mcd_dispatch_operation_new once had
    (transfer container) or possibly even (transfer full) semantics for the
    list of channels, but I also dimly remember removing it. The
    implementation certainly has (transfer none) semantics, and its one
    caller behaves as such too.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit 26817f3a31da1cc1eed75e296c6ec8f769ebb3bc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-20 13:04:01 +0100

    _mcd_dispatcher_enter_state_machine: only take one channel
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit b015e6c79f59bbb8cc78405dc06aa0e9ee27ed80
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-15 11:41:29 +0100

    _mcd_client_registry_list_possible_handlers: only take one channel
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit a30524b98da9403099dc303602b432d1b384237e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-20 11:51:38 +0100

    mcd_dispatcher_dup_possible_handlers: only take one TpChannel
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit 7b0ebf426f26d9790217f5b14808e2ace1f15de9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-20 12:43:51 +0100

    _mcd_dispatcher_take_channels: make singular, rename to ...add_channel
    
    It was previously (transfer container), now it's (transfer none).
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit 97106c13aa76b29e46a965cf57cfbdf76ea3e767
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-20 12:35:57 +0100

    McdConnection: dispatch each channel from NewChannels separately
    
    This loses information - you can no longer tell the channels are
    related - but in practice nobody handles Text and Tube channels as a
    unit anyway, and signalling them together is now deprecated.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit b7e524b85b37f913431856514310a9e7749fddac
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-14 17:06:00 +0100

    McdConnection: remove virtual methods
    
    Now that embedding and old-style plugins have been abolished, nothing
    can override them.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52305

commit c133c5b86a67a70594c6327578f4c7956b0112f0
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-19 11:17:09 +0200

    Do not change RequestedPresence when disabling the account
    
    We can keep RequestedPresence to online, in which case the account
    will go back online when account gets enabled.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52259

commit cae1b270732bab16cb3324e912fc2956baa784bc
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-12 11:12:30 +0200

    Fix missing includes to build with recent libaccounts-glib

commit c39128f213943b1f6f074a0b617ba7592fc8e846
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-12 11:11:54 +0200

    Add missing config.h include to ignore tp-glib 0.20 deprecations

commit dadff3e6147d914522afbde3c47023a5a9d10bf8
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-12 11:10:52 +0200

    Do not ignore return valud of write()

commit 329c70f9f63eb25dadeb145225a83d25cecb7eec
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-11 13:03:05 +0200

    start working on version 5.12.2

commit e824493e533f7c4ea9ae9066fb29b3298d9a8aa8
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-11 12:49:04 +0200

    Prepare 5.12.1 release

commit ac021dcd68cff4cc101c06b3f8abe246c21c6c15
Merge: eff02cf7 57d7c636
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-11 12:15:52 +0200

    Merge branch 'telepathy-mission-control-5.12'

commit 57d7c6360f04d8bc65320c42a5d8929fa3e3bc25
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-11 12:14:11 +0200

    Copy telepathy.am from telepathy-glib
    
    It make sure "make -j3 maintainer-foo" works

commit 0daa22ca3858138aee10f8bf46a07fd15c1fcf49
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-09 12:35:01 +0200

    McdAccountManagerDefault: Fix a possible double free
    
    If the account is already in the hashtable, g_hash_table_insert()
    will set @removed as value, but free it since the key already in
    the table is kept.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=51842

commit eff02cf76254af6b9169badcfe76cd7890a0df6b
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2012-07-09 12:35:01 +0200

    McdAccountManagerDefault: Fix a possible double free
    
    If the account is already in the hashtable, g_hash_table_insert()
    will set @removed as value, but free it since the key already in
    the table is kept.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=51842

commit 150c89d45c6b7d5a2d10bc36cff5689ea1ca72d8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-04-05 17:10:18 +0100

    dispatch test: make sure Ensure-ing channels after delegation/presenting works

commit 54f4fd22c09a342bb58da978b5a055e45f968897
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-06 16:50:08 +0100

    dispatcher: set channel state back to DISPATCHED after delegating & presenting
    
    _mcd_client_proxy_handle_channels sets the McdChannel state to
    HANDLER_INVOKED, but when we were calling this in both delegate and
    present operations, the state was not being set back to the DISPATCHED
    state afterwards.
    
    The state being wrong meant that dispatching a channel after if had
    been delegated or presented would not happen, as MC thought we were
    still waiting for a handler response.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit c8ae24ffd03297d097b553997eda3807f1505748
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-06 16:49:55 +0100

    dispatcher: add more debug output when delegating channels
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 3d35096f9ccc69b8c3067ed85102694eda4a2855
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-04-05 16:56:35 +0100

    Modernize dispatcher/redispatch-channels.py a little

commit 6e8be05e1c1b5856575bb7d8404d4429824e4981
Merge: ebc338e2 d8c0bf71
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-09 18:10:39 +0100

    Merge branch 'present-delegate-broken'

commit d8c0bf71670b61a900e788413a9673d01f6ce06c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-04-05 17:10:18 +0100

    dispatch test: make sure Ensure-ing channels after delegation/presenting works

commit 6397152f8dbec113d46c5cbd2d6d9b936c31481b
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-06 16:50:08 +0100

    dispatcher: set channel state back to DISPATCHED after delegating & presenting
    
    _mcd_client_proxy_handle_channels sets the McdChannel state to
    HANDLER_INVOKED, but when we were calling this in both delegate and
    present operations, the state was not being set back to the DISPATCHED
    state afterwards.
    
    The state being wrong meant that dispatching a channel after if had
    been delegated or presented would not happen, as MC thought we were
    still waiting for a handler response.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f037c639b5a14f94a1ca3fd9f3dcb92e455aabb5
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-07-06 16:49:55 +0100

    dispatcher: add more debug output when delegating channels
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit a01a0267e3f90a45b497664758bde0c0cd794ef4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-04-05 16:56:35 +0100

    Modernize dispatcher/redispatch-channels.py a little

commit ebc338e2a5bc441879895be28c1c822f3a192157
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-06-22 09:19:21 +0200

    use a DEBUG instead of warning if dbus_bus_add_match failed
    
    Also, make the message more explicit to one can check is D-Bus version if he's
    wondering why it failed.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=51282

commit 08a7e21ad3d6664e7c2603906d76ca6222d1ac79
Author: Alvaro Soliverez <alvaro.soliverez@collabora.co.uk>
Date:   2012-05-17 18:01:19 -0300

    Android: adjust library name to fit latest changes

commit 2c71a0c2c7a157e017b923cb2e0ed8e08a941b4f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-10 16:37:31 +0100

    Use telepathy-glib meta-headers
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49753

commit c5c011b0dc60508790b0410b37f2b6307d9d13d0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-10 16:30:59 +0100

    Require telepathy-glib 0.19.0
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49753

commit 48747e5c606d8b641ecff7eb77da163c9730e13e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-10 16:06:27 +0100

    McdConnection: don't bother refcounting handles, they're immortal
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49753

commit 7519795ea2a12f45ba8a03b6e9c70407563e97ec
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-10 15:57:54 +0100

    mcd_account_connection_ready_cb: use self-contact for normalized name
    
    This saves us a pointless round-trip: the normalized name is part
    of CORE now.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49753

commit 336ee3384c5e92003cbf58386db2c3aff3aabdc5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-10 15:34:17 +0100

    McdClientProxy, McdClientRegistry: remove now-unused string pool
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49753

commit 3109731e32597d38a358263c7382ad09fcfff667
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-10 15:32:43 +0100

    McdClientProxy: store capability tokens as a strv, not a handle set
    
    There aren't *that* many of them, and handles are immortal now.
    If g_strdupv'ing the capability tokens ends up taking too much memory,
    we should write a generic refcounted string pool instead (but I doubt
    it will, in any case).
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49753

commit 42f20c1472f0073b320b860e1f868817cb6c3bb5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-10 15:20:02 +0100

    _mcd_client_proxy_add_cap_tokens: switch from "add" to "set" semantics
    
    In both the cases where it's called (when we get a reply to GetAll,
    and when we've parsed a .client file), we actually want to take the
    new set, not union it with an existing set.
    
    Also, this will be easier to deal with when we stop (ab)using handles
    for this.
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49753

commit 96b49d683e449841ae4dc0a09aae6223db1a2a90
Merge: 91f85400 3382019e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-10 15:07:37 +0100

    Merge branch 'deprecations'
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=24762
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=24899
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=24914
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=49648
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 3382019e8ba7772848fa30448ca2addf5346aeef
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 15:30:41 +0100

    McdDispatcher: don't be a McdMission
    
    The dispatcher subscribes to the master's abort signal rather than
    implementing any of the McdMission virtual methods, so nothing in
    McdMission is actually doing anything for it.
    
    This means we can get rid of McdProxy, so, do.

commit 896e81dfee45830c8ab553c7324d8b2190b9775e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 15:02:43 +0100

    McdMission: remove placeholders for old signals, methods
    
    We're not supporting out-of-tree plugins any more.

commit 17bef3f25da89629e9a8ca880a0833d6504986cf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 15:00:05 +0100

    McdMission: remove parent-set signal and parent property, unused

commit 147b36b2a4c087b230e2fcb735aa5631da045c90
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 14:48:07 +0100

    mcd_transport_plugin_get_name: remove, unused
    
    You can just use g_type_name() anyway.

commit 15d14bf15c3619a9d4ffa3adc5c80a2c6177d543
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 14:35:17 +0100

    Flatten McdPlugin into McdMaster
    
    This older plugin API exposes enough MC internals that there's no point
    trying to support it out-of-tree.

commit e92a53b0529ecfdbcdcbc8d9db830919b547abbd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 14:29:17 +0100

    mcd_master_get_dispatcher, mcd_plugin_get_dispatcher: remove

commit 46b86f8fd7584c5f8dbfc247fea25d32c27d4733
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 14:26:36 +0100

    mcd_manager_create_connection: don't be virtual, no subclass exists

commit f4fe5fcdcfab0d00c63f4a2f3349ae8612bb9d5d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 14:23:02 +0100

    mcd_manager_get_dispatcher: remove, unused

commit c420774c0fd30ea25220951145d5c23af25ebf57
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 14:22:54 +0100

    mcd_manager_get_connection: remove, unused

commit ecfcf42a1ef35e45cd617301cd36deb0aeb7e77c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 14:14:07 +0100

    McdDispatcherContext: remove

commit 52a0fc268cc12fe4aa2c3b5c9ae05bf31f11722d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 14:12:00 +0100

    inline McdDispatcherContext's methods

commit 1f3fa4e2322daef9e965e2159c4ebd0b9ae2a9dd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 14:08:25 +0100

    Inline what's left of mcd_dispatcher_context_proceed into its only caller

commit 76f016bdad63f0ea68bc11e64be54e01b61004b3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 14:05:04 +0100

    Remove the concept of old-style filters altogether

commit a22bf24e9189c98a87baef9b7288a37795424d66
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 14:01:39 +0100

    McdDispatcher: remove the ability to add old-style filters

commit 1884b434805173e2d8b4eb6e6f6dc3f0f0b25129
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:59:24 +0100

    Remove remaining McdDispatcherContext getters, which are now unused

commit 0a1e2de74466b78f2e99ee4c82e21dfbe4be3715
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:58:31 +0100

    Remove various unused getters from McdDispatcherContext

commit c76a8013952a1fa0c85aa80777d765f51fe3f23b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:56:47 +0100

    mcd_dispatcher_context_get_channel_by_type: remove, unused
    
    This also means we can drop mcd_channel_get_channel_type_quark.

commit a9f3580a8738260a2db4ebf7237adb389a5521f7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:54:58 +0100

    mcd_dispatcher_context_forget_all and friends: remove, unused

commit 5a3a0b3d417423a5fb588b36c65f0c7709556de9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:54:03 +0100

    mcd_dispatcher_context_proceed: make private
    
    Ideally it should be inlined into its only caller, but this will do for
    now.

commit 8fbc9bb3fc7f0714342dff2fd637824f88c653ac
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:52:25 +0100

    mcd_dispatcher_context_process: remove

commit 33987d0226e04381a1bda79bdfeadfc815943e53
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:47:12 +0100

    Remove McdController and inline its shutdown method into McdMaster

commit d78e084fbfaaeafc4085284febbc0925cd4b25aa
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:34:38 +0100

    McdChannel: remove more unused accessors

commit 2f243467c66a466123cbfa1aa183fd3425bae2f9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:32:49 +0100

    mcd_channel_get_name: remove, unused

commit a70fc835f8bfaa3addab1106ff90e2b78b5dc737
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:30:02 +0100

    mcd_channel_get_inviter: remove

commit 3b1f2acfbba23112148e367dd2216f6570b308d0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:29:15 +0100

    McdChannel: stop tracking group members
    
    All it does now is to emit DEBUG() messages.

commit 6c4526da85db2e963a602776f34de659362d90aa
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:28:07 +0100

    mcd_channel_get_members_accepted and members-accepted signal: remove

commit c91020a26d451d44096eea463e393a1b3101e3f1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:25:47 +0100

    mcd_channel_is_missed: remove, unused

commit e18c550af9c5c5b16017f458e1080a2736db7160
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:23:36 +0100

    mcd_connection_cancel_channel_request: remove, unused

commit 25e12a0978aceccff2ce2a2bea6437404a627e44
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:22:06 +0100

    Account, AccountManager: remove various unused methods

commit b647c66404e33db2a9dd473124bb7d566ffeb845
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2009-12-18 14:34:05 +0000

    mcd_manager_cancel_channel_request: remove
    
    Nothing calls it any more.

commit cb8783c25ac8228ae5248bfa8bc8596fa6968879
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:08:45 +0100

    Remove unused support for a magical auto-away flag set by embedders
    
    Less code, fewer bugs. Also, people should have stopped embedding MC by
    now, and an earlier patch in this series made it impossible.

commit 0deffb0262f2c33b582df25e06c931f0693ded3e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:05:22 +0100

    mcd_dispatcher_get_channel_type_usage: remove
    
    Nothing in-tree calls it, and the modern way to do this would be a MCP
    plugin that's a pseudo-observer.

commit e7aea65314998512931f7988bea3babc0a548776
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:03:59 +0100

    mcd_debug_ref, mcd_debug_unref: remove
    
    They're officially deprecated and everything!

commit a307cc9bbac1a7943b44a46813df0986731759a2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 14:40:52 +0100

    McdProvisioning: remove, unused

commit e9495b13221eeecfafe9813c69e14f8734ac604c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 14:39:51 +0100

    McdProvisioningFactory: remove, unused

commit 182dae7a10bea7307a16a52d9d1216bf9e38457c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 12:46:51 +0100

    Remove deprecated support for old-style (mcd) plugins
    
    Only in-tree code can use mcd_* functions now.

commit 524c5a6e0cf654e092e54870470656bdeba3c408
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 16:59:39 +0100

    Remove support for the non-standard Query interface

commit cf819e45d2b0cb5d0f2868a28dea84223692d152
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:12:54 +0100

    Remove non-standard Compat interface

commit 31b5eec29cf8e8a0d8ea503d4cc70055d003acfc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 16:54:10 +0100

    Remove support for archaic Capabilities interface
    
    No, not ContactCapabilities, Capabilities...

commit ab92d3f1f2775854fbe801023a04df6839d639ac
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 14:16:29 +0100

    _mcd_dispatcher_get_channel_enhanced_capabilities: remove, unused
    
    This was left over from ContactCapabilities.DRAFT1.

commit 959d95db540a3a02ddb3e6fdb88f7b256301bd10
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 14:36:20 +0100

    _mcd_file_set_contents: remove, unused

commit 8256dd642f79c8a35a1ae4f4aa5e9f5f17e1f54d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:31:55 +0100

    _mcd_connection_channel_is_urgent: remove, unused

commit b58ba958bdeb7d872ed51eaf74288755b784b8cd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 14:20:21 +0100

    _mcd_dispatcher_get_client_registry: remove, unused

commit b5ed6bd05b4482dadae245bb6c36ffbed00aee88
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 13:03:41 +0100

    Consistently include config.h in every .c file
    
    This is best-practice, and in particular it stops us from accidentally
    redefining GLIB_VERSION_MIN_REQUIRED, GLIB_VERSION_MAX_ALLOWED by
    including glib.h before (something that includes) config.h.

commit 4850e3cd729f7a0c8c98e5c1452824abb7c776eb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 12:54:21 +0100

    Use the GObject 2.30 generic marshaller

commit 4536ccdd1c187df466a9321ad234293f0563fe19
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-08 12:52:59 +0100

    Drop separate GIO check, we now include it in GLIB_LIBS
    
    Also use GLib 2.32 deprecation/availability checking.

commit e0d36e4bb93119d5c23cc437a2fefd40675af034
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-07 19:22:34 +0100

    Use TpIntset instead of long-deprecated alias TpIntSet

commit c3d77d670607907451811fe658198ccaffddd7d0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-07 19:21:45 +0100

    Use TP_ERROR instead of long-deprecated TP_ERRORS

commit 91f8540057fc4778ce0cc64ae8a86eaa02287168
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-07 19:29:57 +0100

    Set G_MESSAGES_DEBUG during testing
    
    The same as Gabble commit cbfa9d06.

commit eb71e5aa43b11bb615cec0df0ff15558bcc9f3f8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-05-07 09:36:39 +0200

    _storage_dup_value: add the account to the error debug message
    
    I'm trying to track a bug and having this would have been useful.

commit 45b935c3a47e0dee9965dca00a9acdfc4b5011fa
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2012-05-02 18:45:38 +0100

    Update news for fd.o#48646 fix

commit ef2fb6a8e6decde7d225a17e8e894140f0dbefb2
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2012-04-13 14:12:53 +0100

    GValue was unset in a code path that needed it to stay set

commit 11ca259567fc7e01bfd88620c1003994af9f8ff1
Merge: 791b4b0d 88642511
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-03 11:15:25 -0400

    Merge branch 'telepathy-mission-control-5.12'

commit 88642511bb9c6f66d2fe4aae1550893eb0d781b2
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-03 11:13:55 -0400

    stop using deprecated tp-glib functions
    
    tp_*_call_when_ready were replaced by tp_proxy_prepare_async a while
    ago.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 791b4b0dd45aec82447dc3c0ef4f31f90286015c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-02 18:59:27 -0400

    start on version 5.13.0
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit edd10ce2948b29859006ca1e149e68097a3bd21b
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-02 18:58:07 -0400

    start working on version 5.12.1
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit aeba9f785227e07bf26b14822b1b288041297910
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-02 18:22:56 -0400

    version 5.12.0
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f185df41b7f514ce28bb121ec4abdc5dc422b7a0
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-02 18:07:14 -0400

    update NEWS for 5.12.0
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 154f2b42310090f947988df8fd44ee34a6cbb18a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2012-04-02 18:48:21 -0400

    fakeconnectivity: implement GetAll and GetDevices for NM
    
    This is needed for newer libnm-glib. We should start using
    nm_client_new_async().
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 853fefbb9663a5d6003cdefbc16c19c67d5bfcc7
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2012-03-16 15:32:51 +0000

    Add mcd_service_stop() and stop the McdService when SIGINT is sent
    
    https://bugs.freedesktop.org/show_bug.cgi?id=47054

commit 72498e161d71b6751d825888a684f62c304a9434
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2012-03-26 13:33:22 +0100

    Update dependency on GLib 2.30
    
    GLib 2.30 is necessary for g_unix_open_pipe().
    
    https://bugs.freedesktop.org/show_bug.cgi?id=47054

commit 370e642d6dc6983fee0ef1fcbedd96ef3a2b3b64
Author: Alvaro Soliverez <alvaro.soliverez@collabora.co.uk>
Date:   2012-03-22 18:05:04 -0300

    On Android, use pkg-config --static
    
    This makes it output the complete dependency chain for each
    library, e.g. libffi for GObject. This is necessary because Android
    toolchains don't follow shared library interdependencies like
    normal GNU toolchains.

commit dcebc508f40abd0eaceb57039e5789638b5297b1
Author: Alvaro Soliverez <alvaro.soliverez@collabora.co.uk>
Date:   2012-03-22 18:04:31 -0300

    Use the correct LD_FLAGS variable for the Android target

commit 90ac4892d9f15756e8fc1266a7b24b65da48a5ef
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-21 21:11:10 +0000

    Development version

commit 5027888083a46c97f75a99cdf165195afed929db
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-21 19:44:31 +0000

    Update telepathy.am from telepathy-glib 0.17.5 to fix out-of-tree releases

commit 8c8b9e690c94ba4b5a2f461799bc2e97b2104bce
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-21 19:41:39 +0000

    Prepare 5.11.0

commit b4e4a0f52f75cabb8d6d60618e2decf72e7961e3
Merge: 16ac32eb 349fa2e0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-21 15:08:36 +0000

    Merge branch 'telepathy-mission-control-5.10'

commit 349fa2e017d7c7caa5a9a4987979fdae64f10d87
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2012-02-21 11:02:42 +0000

    Account: don't crash on Get('Parameters') if _dup_parameters fails
    
    If the connection manager is not installed, or is installed but doesn't
    have the protocol for the account, then _mcd_account_dup_parameters()
    returns %NULL. (As the comment I've added says, I think this is
    ridiculous—it's fall-out from MC not storing the types of parameters.)
    
    As a result, Get('Parameters') or GetAll() would crash, because
    dbus-glib would try to serialize a NULL GHashTable and blow up. (See
    <https://bugs.freedesktop.org/show_bug.cgi?id=44939>.) So with this
    patch, we handle NULL as "no parameters" for the sake of D-Bus
    properties. (Because this situation should only arise if the account is
    invalid, we also warn if _dup_parameters() returns NULL for valid
    accounts.)
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 16ac32eb79765d65b46d71b35d5ddbbf9987ec7f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-20 18:41:23 +0000

    Depend on a new enough telepathy-glib for Supersedes

commit 8618ecef8930ad39a8bfe8b37a9c854945b9dcb8
Merge: 572d39fb c0dba4b3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-20 18:40:53 +0000

    Merge branch 'butterfly-migration-42814'

commit c0dba4b307cbc965bec3a325373e11a706dda7fe
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-14 13:23:11 +0000

    Set the Supersedes property on migrated Butterfly accounts
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42814
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit d9a702e8c7dfd80c0f7064824e4bf9498c420cf3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-14 12:08:44 +0000

    Test the Supersedes property
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42814
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 4ee0376efd35ce0e06d14633e386c511938e26a3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-14 12:07:04 +0000

    Account.Supersedes: add
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42814
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 696ae3716947119ad8f6778f8fb6d3ad684d1bb1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-14 12:06:33 +0000

    McdStorage: add support for 'ao' type
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42814
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 572d39fb51e5d1aecdbaa2329686f5b818ce9897
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-02-02 11:27:20 +0100

    Display a string representation of McdTransportStatus in debug message
    
    This will make my life much easier when trying to debug issues from users'
    logs.

commit 9a32c79b81e4b5a847fcf34641e398f7c6089bfc
Author: Alvaro Soliverez <alvaro.soliverez@collabora.co.uk>
Date:   2012-02-01 15:36:25 +0000

    Produce DLL files when compiled for windows When we cross-compile telepathy-mission-control for windows with the current flags we end up with a static library and it creates link issues in libraries and applications which uses teleapthy-glib on windows. to solve this -no-undefined LDFLAG is introduced in this commit. This ensures all the symbols are defined when we compile for windows.
    
    see: http://www.gnu.org/software/libtool/manual/libtool.html for
    more details about -no-undefined flag

commit 3dcdbc3d14457d4096000f1426129062cb76e313
Author: Will Thompson <will@willthompson.co.uk>
Date:   2012-02-01 10:48:33 +0000

    mc-tool: add a 'summary' command.

commit c02db9192bf6233e09252b3d0d189744ea91acb1
Author: Will Thompson <will@willthompson.co.uk>
Date:   2012-02-01 11:00:09 +0000

    mc-tool: sort lists of account identifiers.

commit 35053f8fdeddd79c92d7f6ddb9e0ac96a6c0c3f6
Author: Will Thompson <will@willthompson.co.uk>
Date:   2012-02-01 10:16:37 +0000

    mc-tool: use tp_account_get_path_suffix()

commit 573700ecb680cc3753a362774214f93373df6936
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2012-01-27 15:39:46 +0100

    mc-tool: display Addressing.URISchemes
    
    https://bugs.freedesktop.org/show_bug.cgi?id=45308

commit 39ff98afd91df7c91851a1cedbb9f735dae4e668
Merge: 18209172 1282e4c7
Author: Mikhail Zabaluev <mikhail.zabaluev@nokia.com>
Date:   2012-01-19 13:24:13 +0100

    Merge branch 'optionalize-gsettings'
    
    Reviewed-By: Simon McVittie (fd.o #43791)

commit 1282e4c7b8d7e2c3bde3201dacd81dbeb4ca8b1d
Author: Mikhail Zabaluev <mikhail.zabaluev@nokia.com>
Date:   2012-01-13 14:13:15 +0100

    Make the usage of "use-conn" GSetting a configure option

commit 18209172f6ff643247c1fe1f09aa20b14ab2f932
Author: Siraj Razick <siraj.razick@collabora.co.uk>
Date:   2011-12-22 19:11:23 -0500

    Changes need to cross compile MC for windows
    
    we need to include io.h to make unmask work when cross compiling

commit 2b1944ad4085bc10a324dcea19ba19c901bbe578
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-12-19 15:13:11 +0000

    In the [unlikely] event the id key has the wrong type, don't leak the GValue

commit bcdbbe60367d67a602aed52a95e53e0725881e2d
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-10-20 01:40:27 +0100

    AgManager::enabled-event doesn't have the AgAccount::enabled multi-trigger bug

commit 58ff362a133ec6625f23e89b175f3bc8374218f2
Author: Alvaro Soliverez <alvaro.soliverez@collabora.co.uk>
Date:   2011-11-14 17:19:51 -0300

    Support building for Android, modified from an original patch by Derek Foreman
    
    https://bugs.freedesktop.org/show_bug.cgi?id=42508

commit 652eb046e351d5939998efd97b0b053098ef6ac3
Author: Alvaro Soliverez <alvaro.soliverez@collabora.co.uk>
Date:   2011-11-02 15:55:15 -0300

    Build on systems without gettext
    
    Modified from an original patch by Derek Foreman
    
    https://bugs.freedesktop.org/show_bug.cgi?id=42508

commit ee2090321ca1530ada26c5431b9ba3dacfd4ea07
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-11-16 16:07:25 +0100

    Use _unref instead of _free _destroy when possible.unref
    
    Replace g_(ptr_)array_free (foo, TRUE) and g_hash_table_destroy
    with respectively g_(ptr_)array_unref (foo) and g_hash_table_unref.
    
    I used this command to generate this patch:
    for f in `find -name "*.c"`; do sed -i $f -re 's/g_ptr_array_free \(([^ ,]+), TRUE\)/g_ptr_array_unref \(\1\)/'; done
    
    See Danielle's blog for explanation of possible bug _free can do:
    http://blogs.gnome.org/danni/2011/11/16/mistakes-with-g_value_set_boxed/

commit 778fa378b0923a43134508de5b36abaed028f2c1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-11-14 14:15:47 +0100

    lock accounts while migrating

commit 83aa8ae7eb6a4b2aa8647f6e5581607e40f4ff4a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-11-11 16:12:28 +0100

    migrate Butterfly accounts to Haze
    
    https://bugs.freedesktop.org/show_bug.cgi?id=42814

commit f052f2424a1a010f95739a59f19b71c4278c8231
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-11-11 16:00:15 +0100

    add mcd_account_dup_icon() and mcd_account_dup_nickname()
    
    https://bugs.freedesktop.org/show_bug.cgi?id=42814

commit 1298e52994e0bba55437e7f876c2c6d84a49379d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-11-11 15:41:29 +0100

    export mcd_account_get_parameter()
    
    https://bugs.freedesktop.org/show_bug.cgi?id=42814

commit 5353886fab93ed2efdcd2e2d0f83c64941e43a94
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-11-11 14:51:05 +0100

    add mcd_account_dup_display_name()
    
    https://bugs.freedesktop.org/show_bug.cgi?id=42814

commit 3e39bb0e14bcbbefcb98839e730d86864165f28b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-11-11 13:45:23 +0100

    value-is-same: stop testing G_TYPE_CHAR
    
    g_value_set_char() has been deprecated in GLib and, as said in the FIXME, we
    don't need to test this as it's not supported by D-Bus.

commit 09206a0eee8ddecbd795155a7e9d8936f4b7e469
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-10 12:53:54 +0000

    Put request paths under /org/fd/T/CD

commit 4c3e8544f70c9b949934d741655e0874a1cc86c6
Merge: 8158b3db 18e48707
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-08 10:14:25 +0000

    Merge branch 'telepathy-mission-control-5.10'
    
    Conflicts:
            configure.ac

commit 18e48707de894057f30936ca86cddd304da4e48f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-08 10:14:03 +0000

    Bump version to 5.10.1+

commit 0daca95dab021325bd20bd3a9da4f2e67cc005e5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-08 10:00:46 +0000

    Version 5.10.1

commit 627b82fe813d7852aaefa829cf6359f21fd3da62
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-08 10:00:29 +0000

    NEWS for 5.10.1

commit 9822ad7c68969ad43c338f16216581256e321de8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-08 09:49:52 +0000

    Remove stray <enum/> from GSettings schema
    
    I forgot to remove this when duplicating the one key I wanted to steal
    from Empathy, and ioni reported that it clashes with the same enum
    definition provided by Empathy. (I'm not 100% sure why—I'd've assumed
    they'd be namespaced by the GSettings schema, not the DConf path—but
    hey.)

commit 8158b3db0272bd604fd17de6b870994877628b65
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-07 17:25:12 +0000

    And again to 5.10.999+ for the unstable branch.

commit 3eba6fcbc7e9418f7da101a7a58ff7154e905f48
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-07 17:24:56 +0000

    Bump version to 5.10.0+

commit 2ddc68024e66584543aa5c08662b3fbb35109a61
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-07 17:20:36 +0000

    Version 5.10.0

commit cf9cf54669685e7127de1e0e555281caa43ba819
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-07 17:16:13 +0000

    NEWS for 5.10.0

commit b89a27403d632725504c21c6079b936f9c1c6c9c
Merge: b1970f43 6ea034ad
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-04 18:44:40 +0000

    Merge branch 'gsettings'
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Fixes: <https://bugs.freedesktop.org/show_bug.cgi?id=42068>

commit 6ea034ad022068c581cdbf675a5be54e30d2e2f0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-04 18:20:34 +0000

    exec-with-log.sh.in: export POSIX_ME_HARDER=1

commit 52f223eb1740fe1dd3059a9c71c90de7785180c0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-03 17:14:27 +0000

    ConnectivityMonitor: fix debug message

commit dbeb5860f634ed6ebaa2a76ca7e37be7623ea4a1
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-03 16:54:20 +0000

    .gitignore: ignore connectivity monitor test tool

commit a4bb333ef99e7c64a6b4b63a080c57c5beb1aac7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-03 16:52:10 +0000

    Bind use-conn GSettings key to ConnectivityMonitor
    
    This GSettings key does the same thing as the Empathy one it's an alias
    for does: if use-conn is False, the network state from NM/ConnMan is
    ignored, and MC will allow you to try to sign in even if there is
    supposedly no network connection! It's pretty great.
    
    (When I first committed this, it didn't work. Now it does. I don't know
    why.)

commit db2ac21ee35f785cb21d7b1e782eb34c9753c4f4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-03 15:33:02 +0000

    Add a GSettings schema with use-conn key
    
    When the NM/ConnMan code lived in Empathy, there was a GSettings key
    which could be flipped to false to make Empathy always assume it had a
    network connection.
    
    This schema provides one GSettings key,
    im.telepathy.MissionControl.FromEmpathy use-conn, which happens to use
    the same dconf path as the Empathy key uses. This should make the two
    GSettings keys aliases for the same underlying value in dconf; we get a
    migration path for free.

commit b1970f4371d3efdf4a385cd6b4eebb6731fadd1c
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-10-10 16:43:10 +0100

    tests: add --enable-installed-tests
    
    This configure option makes it possible to install the twisted tests in
    /usr/share/telepathy-mission-control-tests and run them without the sources.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=41927

commit 41c5b207f8482182834d7ea05d677316538f358b
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2011-11-01 17:25:31 +0000

    update-parameters.py: fix the cache directory
    
    Use $XDG_CACHE_HOME instead of $MC_ACCOUNT_DIR to find the file
    mcp-test-diverted-account-plugin.conf because the test-only plugin
    mcp-account-diversion uses g_get_user_cache_dir().
    
    This is a no-op because both variables have the same value, as defined in
    tests/twisted/Makefile.am:
    
    BASIC_TESTS_ENVIRONMENT = \
            MC_ACCOUNT_DIR=@abs_top_builddir@/tests/twisted/tmp-$(TMPSUFFIX) \
            XDG_CACHE_HOME=@abs_top_builddir@/tests/twisted/tmp-$(TMPSUFFIX) \
    
    However, this was not semantically correct, and the two directories could be
    different in the future, with installed tests for example.

commit 34b03f910bd8b889f0f71edfa9668b74d8ad8ba6
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-21 22:42:45 +0100

    .gitignore: remove obsolete libmcclient references
    
    libmcclient is gone forever, so let's not ignore detritus from it.

commit be2e5c2d899d9542b567983e809caf371ba9be6c
Merge: cc746edd 82f1d4b0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-03 11:53:28 +0000

    Merge branch 'ChangingPresence'
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Fixes: <https://bugs.freedesktop.org/show_bug.cgi?id=42548>

commit 82f1d4b02a32131b48ea9e461865415070ab7b72
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-03 10:29:09 +0000

    Account: only set ChangingPresence if we actually are
    
    Previously, ChangingPresence could become True on accounts which were
    not Enabled, which makes no sense: we're not changing our presence in
    that case. It happened if you requested an offline presence on a
    disabled account whose current RequestedPresence is something online; or
    if you disabled an Enabled account whose RequestedPresence (and
    CurrentPresence) was offline.
    
    Here we change the implementation of setting RequestedPresence to only
    set ChangingPresence to True if it actually takes some action. There are
    situations where the presence has "changed" (maybe you changed the
    message associated with being offline) but no change actually needs to
    be applied.

commit f2e91a1e1305ef78a49dbcc81f2b94a938afd5e1
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-03 10:28:55 +0000

    account-manager/presence: modernize

commit 33ec45d180708ec8c0be8309e91a29f313f4d2f3
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-11-03 09:46:28 +0000

    mc-tool: show ChangingPresence

commit cc746edd95fdc1802cd656eca664a7089de61745
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-10-07 11:34:52 +0100

    connectivity-monitor: fix build with UPower but no NM or ConnMan
    
    http://bugs.debian.org/644589
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 85a8950dff6ddf53bb78c780e003561c111a26f8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-04 18:03:36 +0100

    Bump version to 5.9.3+

commit 4110ebd94c33dcc53b867c6c85434903583b6e66
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-04 17:51:30 +0100

    Version 5.9.3

commit 097abc38aa684f62002570885798c633a3992ef0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-04 16:48:11 +0100

    NEWS for 5.9.3

commit 99fab96fa358f69e688865a81c3afb79508394cc
Merge: b78d26c3 c23ca1a9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-04 16:19:21 +0100

    Merge branch 'upower'
    
    Fixes: <https://bugs.freedesktop.org/show_bug.cgi?id=28370>

commit c23ca1a9ca5275e708326e5db5f762c52479845e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-04 16:16:01 +0100

    Connectivity: move upower-specific code inside ifdef
    
    connectivity_monitor_set_awake() is only called by the code paths that
    listen to signals from upower, so passing --disable-upower to configure
    triggered a defined-but-not-used warning for it.

commit b78d26c3319809e391a6bcda2d2cb7f454084b90
Merge: 25799ee8 33f85c6e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-04 15:28:33 +0100

    Merge branch 'telepathy-mission-control-5.8+'

commit 33f85c6ed8818cef4db8e9b1caffe53ad4811456
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-04 14:43:05 +0100

    NEWS for 5.8.2

commit 904027787d6ae857e70f29b49f4d131a92e6500e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-10-03 16:53:10 +0100

    McdClient: don't allow unique_name to become NULL
    
    _mcd_client_registry_found_name() is called in three situations:
    
    • the initial call to ListNames() has returned;
    • the initial call to ListActivatableNames() has returned; and
    • NameOwnerChanged has been emitted for a client-shaped well-known name.
    
    In the first two cases, unique_name_if_known is NULL; in the first case,
    activatable is FALSE.
    
    I don't really understand what business the McdClientRegistry has
    telling the McdClient what its unique name is even when it's non-NULL,
    but passing NULL to _mcd_client_proxy_set_active() made McdClient
    violate an internal invariant. The first action McdClient takes is to
    discover the client's unique name, if any; if the client is not running,
    unique_name is set to "" (not NULL). Other parts of the McdClient
    internals assume (and assert) that unique_name is not NULL by the time
    they run.
    
    I *believe* that the client registry need not ever call
    _mcd_client_proxy_set_active(), but I am loathe to make that change
    without fully understanding the code and writing some tests.
    
    Fixes: <https://bugs.freedesktop.org/show_bug.cgi?id=39767>
    Reviewed-by: Xavier Claessens <xclaesse@gmail.com>

commit c9907c9e7141acdda3cdf326db387f9c4c1b4abe
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-28 17:57:20 +0100

    Connectivity: refactor signalling state changes
    
    As Guillaume pointed out on
    <https://bugs.freedesktop.org/show_bug.cgi?id=28370#c5>, previously
    McdConnectivityMonitor would signal ::state-change even if the state
    hasn't changed in some cases.
    
    This patch reduces duplication and fixes that case.

commit 7ffc20512ac6a81e9465622ec692a622bf7ebf8d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-27 18:08:57 +0100

    Master: Always bind connection to a transport
    
    Previously, when a connection was brought online in response to
    an event other than a transport becoming connected, it would always be
    bound to a transport (if any transport plugins are loaded, obviously),
    regardless of whether the dictionary o' conditions was empty or not.
    However, when a transport coming online caused a connection to be
    brought up, that connection would not be bound to the transport that
    caused it to come online if the conditions were empty (which they
    generally are).
    
    For reasons I can't quite fathom, this actually doesn't seem to have
    affected anything: it could be because monitor_state_changed_cb in
    McdKludgeTransport also binds waiting connections to the transport that
    came online. But this seems like a sensible change for sanity and
    consistency reasons.

commit 9da0c6c713c9cba1ddef33d599888fce16b79482
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-23 12:24:36 +0100

    Connectivity: go offline when laptop suspends.
    
    Woop woop.

commit 17246cccff176888eae16b8ce673e2c5f0da440f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-23 12:07:32 +0100

    configure: optionally depend on upower-glib

commit 25799ee8f5b02a8893d7bc5c8007e58b9d444bdd
Merge: 66b28358 38d76aa0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-28 11:33:09 +0100

    Merge branch 'fd.o-38978-connectivity'
    
    Fixes: <http://bugs.freedesktop.org/show_bug.cgi?id=38978>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 38d76aa0c45d66828c1935b0b7573e7739af45b1
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-28 11:28:54 +0100

    fakeconnectivity: use constant for NM interface

commit bf06f43306c6717905e5ca9cf16e6f96e2bb95fe
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-27 17:38:08 +0100

    KludgeTransport: debug when connections get queued

commit 928fbad1c14cde84758b45dd392eb1e20c150fa0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-27 17:16:31 +0100

    Account: reconnect if RequestedPresence is not offline
    
    Previously, when a network connection came back up, only accounts with
    ConnectAutomatically set would be re-connected. But if RequestedPresence
    is something online-flavoured, I think it makes sense to bring such
    accounts back online, too: if the user has asked to be online, a network
    blip shouldn't affect that.

commit ca9833b3d208fa4f4f3af333ebca54178c5c62da
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-27 17:15:46 +0100

    am/connectivity: extract BillyIdle

commit 855af5f3bb9f70aaa59768dbeaf50edf68198675
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-27 16:53:49 +0100

    Account: when reconnecting, use RequestedPresence if possible
    
    Previously, if an account was taken offline due to the internet
    connection disappearing, when it was brought back up the
    AutomaticPresence would be used, trampling on whatever the user had put
    into RequestedPresence.
    
    I guess this was deliberate … but it doesn't seem like very useful
    behaviour. If I've explicitly set my presence to ('available', 'you can
    talk to me now'), despite my AutomaticPresence being ('busy', 'probably
    doing something else'), I don't see why a network connection blip should
    cause my lovingly-written presence to be discarded.

commit 68d883e4d7488bd2c692c8bc85e5b8f77950ba01
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-27 16:37:44 +0100

    am/connectivity: check for SetPresence call
    
    I'd like to be sure that setting RequestedPresence before the network
    connection comes up causes that presence to be applied when it does, as
    opposed to just that the account be brought online.

commit fd8b6fe898130d6de44501e83629f188a3f3391a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-26 20:22:00 +0100

    Account: add would_like_to_connect method.
    
    This consolidates logic previously duplicated between two code paths.

commit 4ae0e4fc7cf2d4ffffec1efe8858b95202995333
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-26 19:56:28 +0100

    Account: unduplicate get_requested_presence method
    
    _mcd_account_get_requested_presence() is literally identical to
    mcd_account_get_requested_presence() except the underscore (okay, and
    that the arguments are indented using spaces, not tabs).
    
    Whichever idiot was responsible for introducing the underscored version
    removed by this patch should be hunted down and shot on sight.

commit 9d8bd36fa860a5599733c44763fb3aac5fc72b92
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-26 18:54:12 +0100

    Account: refactor re-requesting RequestedPresence.

commit d8ed34e08ef5ae4ce87d317663e3467ac76fdabb
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-26 18:46:36 +0100

    Account: remove _get_online_requests.
    
    This isn't called anywhere. And since this was the only way that
    McdOnlineRequestData structures could escape mcd-account.c, we can now
    hide that definition, too.

commit 2d5b1ed417986250417af6a4eb3852e7837ed57b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-26 18:44:23 +0100

    Account: static-ify _online_request_completed
    
    This is not called from outside mcd-account.c.

commit df7537103a342b8bd42a69f21010f3fa448e8618
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-23 16:48:03 +0100

    KludgeTransport: explain the one-element list o' transports
    
    'one' was not a useful name for this variable, in retrospect.

commit 0bde9e5973fe306e428ec604d85aaafb0c1a9bd5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-20 11:29:08 +0100

    Add a connectivity test
    
    This test does not run if neither NM nor ConnMan support is available.
    It also only runs against the test-specific MC daemon, since it depends
    on a backdoor method for synchronisation.

commit dea44b07c708a391a2b6d0935aba1a7789c59f49
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-20 11:26:01 +0100

    mctest: split up enable_fakecm_account()
    
    This patch splits out the second half of enable_fakecm_account(),
    starting at the point where it expects a RequestConnection call, into a
    new function, expect_fakecm_connection(). enable_fakecm_account() calls
    it, so its behaviour does not change. But the connectivity-monitoring
    tests will want to expect a call to RequestConnection() and let that
    part of the standard check run to completion, so will be able to use the
    freshly-split-out function.

commit b4cd6e18b0d247ff69c3513e9492d885b954de89
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-14 19:10:10 +0100

    Master: instantiate an McdKludgeTransport

commit 101f02c4a73944512984d62c54f2ff18c3c2a2eb
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-14 19:30:01 +0100

    KludgeTransport: track McdConnectivityMonitor state

commit 7e0434a6d0c9c87241432a9b2fcd5993389a29fa
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-14 18:54:23 +0100

    Add stub McdTransportPlugin implementation
    
    McdKludgeTransport will implement McdTransportPlugin using
    McdConnectivityMonitor. Currently it's a no-op though.

commit 90fb7c9e5f8d81b669d4a01c1a9ec1886170b965
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-22 18:13:45 +0100

    mctest: resuscitate MC asynchronously
    
    Shortly, MC will start making blocking calls on the test suite's fake NM
    implementation (via nm-glib).
    
    Calling bus.get_object service-activated MC as a side-effect of making a
    blocking call to Introspect() on it, so it deadlocked. I think it's
    clearer to explicitly, asynchronously activate it, and wait for it to
    claim its names; which also avoids the deadlock.

commit 95a3fdd9a18b638d3e20df0df5976c2bf41c150d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-22 18:46:39 +0100

    account-manager/create-with-properties: modernize and asyncify
    
    For some reason, the blocking call to Introspect here reliably
    deadlocked against the blocking call MC will, in a couple of patches'
    time, make to (the fake) Network Manager service implemented by the test
    suite. Removing it just made the GetAll() call deadlock instead. If I
    render that asynchronous, the deadlock goes away.
    
    I am not overly happy with having to do this kind of ad-hoc kludging of
    the test suite to make it run, but we're working around a library bug
    and I have no interest in delaying the NM integration while I fix
    nm-glib.

commit 8af66a228e79470cde692d3aeaf43e70168f1b86
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-16 11:33:28 +0100

    tests: add fake implementations of MC and NM

commit dc460ae72ec2c29f42cf375e7e3366105998d132
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-19 18:21:39 +0100

    test service: add a “process idle queue” method

commit d29269cb97cc9d804ca55999487e530c38a12ec6
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-15 15:58:33 +0100

    Add a test app for McdConnectivityMonitor

commit 796c6e95ecab316f927092391affe35d6b01e99f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-14 16:24:55 +0100

    Import EmpathyConnectivity as McdConnectivityMonitor
    
    I'll wrap this up in the hateful McdTransport[Plugin] API forthwith.

commit 66b28358c295e994c5a3711b6d1e04edb53d423f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-26 12:19:23 +0100

    mc-tool: add missing entry for reconnect to help

commit 49c678c5169caea64728206a2f63496cd9e37c36
Merge: a669b925 c6939cec
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-23 17:01:34 +0100

    Merge branch 'mc-tool'
    
    Fixes: <https://bugs.freedesktop.org/show_bug.cgi?id=41154>
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit c6939cec58fe158574f4206a780dffdf74264db4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-23 15:19:41 +0100

    mc-tool: add a 'reconnect' command

commit af96bbe41f468f6301819b455713359d25efb5d7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-23 15:00:03 +0100

    mc-tool add: use tp_account_manager_create_account_async

commit 871eb58541a95c2f9c015350b4f63aca64c4b785
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-23 14:40:24 +0100

    mc-tool remove: use tp_account_remove_async

commit eda38779c2c3107256a8ef5c5fc32d04e664363f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-23 14:38:27 +0100

    mc-tool: improve 'update' output.
    
    Previously, mc-tool update didn't tell the user whether a reconnection
    would be required to apply parameter updates. This patch makes it do so,
    and also makes its implementation use
    tp_account_update_parameters_async().

commit ab3f0fcf0f700b3ad5c5d905188a3bb8c27994e0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-23 14:28:54 +0100

    mc-tool: set AutomaticPresence using tp-glib method

commit 4bb6ce89cbc9a0dcb429a2bd42ee2c42d0a5c368
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-23 14:25:39 +0100

    mc-tool: always show *some* value for ConnectAutomatically
    
    Previously, if an account had ConnectAutomatically: True, then mc-tool
    show would say:
    
        Connects: automatically
    
    But if the property was False, mc-tool show would not mention it. This
    patch makes the command produce:
    
        Connects: only when requested
    
    in the latter case.

commit bce94d7b182c05bfde407a6f5cdbb2effdc119a7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-23 14:24:41 +0100

    mc-tool: use accessors from tp-glib 0.13.8
    
    In some historic version of telepathy-glib, TpAccount did not have
    accessors for AutomaticPresence or NormalizedName. Since we depend on
    telepathy-glib 0.15.0, and these accessors were added in 0.13.8, we can
    now just use them.

commit d854d0ecff853a63654229cf59bc2dc129fc45a2
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-14 14:48:05 +0100

    configure: check for NM or ConnMan
    
    This is baically cargo-culted right out of Empathy.

commit cc659f64994f71957345b6c9fab1bdb612c30f32
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-13 18:22:38 +0100

    McdTransport: add guards to vfunc wrappers
    
    Most of these functions are mandatory-to-implement; check_conditions is,
    in practice, optional.

commit 2981787353f9862c076cf1c72484c4d5ea234999
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-22 16:54:50 +0100

    Master: poison singleton pointer when disposed
    
    Previously, when the 'default' instance of McdMaster (i.e., the
    singleton) was disposed, the 'default_master' variable was left pointing
    to it. This is basically fine in practice, since the McdMaster is meant
    to survive for the lifetime of the connection. But I hit a weird crash
    (caused by the test suite's version of MC waiting 5 seconds after the
    McdMaster is destroyed before closing, which interacts badly with the
    reconnection timeout being less than 5 seconds) and it would have been
    much clearer what was happening if 'default_master' had held a known-bad
    address rather than a possibly-valid pointer to a freed object.
    
    This doesn't change the behaviour of the code in any significant way:
    we'll still crash in this situation. But as far as I can tell the bug is
    harmless.

commit 4695c8fe269d04eff269522dc6a0f67795a07dac
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-16 11:13:22 +0100

    tests: replace make_mc with class MC
    
    This will make it easier to glue things onto the side of the proxy for
    MC.

commit a669b92559e7017b6381c44959fc077acc72b11f
Merge: 42cef849 c8b1014e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-23 11:28:08 +0100

    Merge branch 'uncontroversial'
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 42cef84969d9f0ac32a90cccaaddc57e221d9950
Merge: d3f11533 746c6982
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-23 11:27:52 +0100

    Merge branch 'telepathy-mission-control-5.8+'

commit 746c6982d06a124b05b439f11d92ae24fa252a40
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-09-21 19:24:13 +0100

    Make the regression tests work with D-Bus >= 1.5.6
    
    The tests rely on being able to eavesdrop. Since D-Bus 1.5.6, normal
    match rules do not eavesdrop, even if allowed: you have to specifically
    ask for it.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=41090
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

commit c8b1014ebc4ae7ad7fed8810e5ed0a05ebd7d5d9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-19 18:24:50 +0100

    tests: make sync_dbus more reliable
    
    This is taken from Gabble.

commit 6417d165242ffeb1899108baee3d38709cc8a5e7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-16 10:50:11 +0100

    mctest: remove unused event_func arg from make_mc

commit 6362eedfdc4907592d299bac2fe88cd936b62b94
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-16 10:44:38 +0100

    mctest: remove references to parameters
    
    This is cargo-culted from CM tests which actually have connection
    parameters.

commit 5461261e185cab9784923683720149490107e0a5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-19 11:01:30 +0100

    with-session-bus: print log file names

commit 4aea67ec672ffbec19d7280bc6cd6b70cccd5607
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-15 16:22:10 +0100

    tests: update with-session-bus.sh
    
    This gives us --also-for-system, which will be useful for testing NM
    integration.

commit 1e0f118d843d16874969e8d4b8a380a7bdf2bec3
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-21 19:19:07 +0100

    tests: run Python with unbuffered output

commit 04008b50c4528bea1956c6bf3cd081f7fa9d6b9d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-21 19:18:17 +0100

    plugin loader: add a missing space to DEBUG output

commit ad37acd51910ddfd172f469ce131d1a8fce08ac1
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-14 14:35:20 +0100

    configure: add summary

commit d3f11533b226e0ecb0ba4e095732aae882089581
Author: Derek Foreman <derek.foreman@collabora.co.uk>
Date:   2011-08-30 08:09:43 -0500

    add gio to the glib dependency check
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 560e18839b1d81da82091e18846a2c5206990da0
Author: Derek Foreman <derek.foreman@collabora.co.uk>
Date:   2011-05-16 13:58:37 -0400

    add -uninstalled.pc.in file
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 9175ec5cc754e2f71482750e382407e44846a4cc
Author: Derek Foreman <derek.foreman@collabora.co.uk>
Date:   2011-05-16 13:56:46 -0400

    Make debug statement more useful
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 5bb11128eea9daa08491be2feed7f45718deef42
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-09-20 12:32:05 +0200

    Add unit tests for the case an approver Claim() a CDO

commit 8e06e3e0e110f5e29af3abf3bdc1febdf49c4980
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-09-20 13:15:13 +0200

    Unit tests: SimulatedClient with wants_recovery=true fails to prepare

commit 0bae7095a9e1a10e531d311e993fc1c67438cfd2
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   2011-08-22 13:34:21 +0200

    Avoid crash in client recovery if we don't know the handler well-known-name
    
    In the case an Observer/Approver Claims the channel, we don't get the
    handler well known name for that process. In that case we need to
    fallback to lookup all possible handlers on the same process and
    pick the first one that match.

commit 34e8ab1f4b4e35647baab7d2b0ef2cd9fd1fdcc1
Merge: 2c9d469e 1931d4f2
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-13 13:17:36 +0100

    Merge branch 'fd.o-40129-set-a-proper-error-if-CM-crashes'
    
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 1931d4f2c71f0574a93cac848e2a1e0b40d6588c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-13 12:32:50 +0100

    Test that MC sets reasonable errors when CM crashes
    
    This was intended to be a regression test for
    <https://bugs.freedesktop.org/show_bug.cgi?id=40129>, but it turned out
    that MC is already pretty well-behaved.

commit ca1f8bfff656a0de8f002eee9d0056bbb93301b1
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-13 12:30:26 +0100

    OCD: sort tests in Makefile.am

commit 57175d04e0b70a112de89e9d85e0e753915780e1
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-13 11:54:34 +0100

    mctest: allow running FakeCM on a separate bus connection
    
    This was possible before, but not exactly straightforward: you had to
    clone the guts of create_fakecm_account(). By adding an optional
    parameter to create_fakecm_account(), and a method to
    SimulatedConnection to drop its bus name, it becomes pretty easy to run
    the fake CM on a separate bus, and hence simulate it crashing.

commit cb19851532bb95ef18e162fc055dbed8c4d579d9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-13 11:53:38 +0100

    servicetest: Implement Event.__str__
    
    This is stolen from Gabble.

commit d9a6c491c2973b3e248de76615e83779ea820586
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-13 11:09:24 +0100

    am/recover-from-disconnect: miscellaneous pruning
    
    • 'dbus' was imported twice;
    • 'dbus.service' and various symbols were imported but never used;
    • a BusName was claimed twice;
    • dbus.Interface objects were created unnecessarily;
    • dbus_interface='' was explicitly specified unnecessarily.

commit 65fc610a6840258422809fc72f9b22dc34b56504
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-12 18:02:41 +0100

    with-session-bus.sh: retain newline when forking dbus-monitor

commit edfd9b291e81bb935054c5ab7102a1b2120d0333
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-16 17:25:17 +0100

    Tests: remove stale FIXMEs about closing channels
    
    Since 5dfe2f0, Mission Control has not called Close() on channels when
    you disconnect. The test for this incorrect behaviour was commented out
    at some point, with a FIXME that the behaviour should be changed.
    
    Well, now the behaviour has been changed. So I replaced one with an
    assertion that Close() is not called, and the other I just removed
    (since that test doesn't actually have any channels).

commit 2c9d469ec6646a39bd964866b434e0eaafab2b24
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-12 17:15:10 +0100

    mcp: fix a bunch of doc warnings

commit 9af88add93e4978056e5ad30741fec790386744c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-12 16:50:41 +0100

    configure: remove unused ACCOUNTS_DIR and MANAGERS_DIR

commit 1271aaa387c51c312ae2dd6bd0d7ba51ce6864cb
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-12 16:48:36 +0100

    Remove unused CHANDLERS_DIR
    
    I really hated Friends.

commit 3c9f0062919c91887930a197e7240d1e113e7c40
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-07 17:39:18 +0100

    Bump version to 5.9.2+

commit 36fec818dd30409637c38eec2b8774d48161408b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 11:21:06 +0100

    Version 5.9.2

commit d6d0a8302d3974945daf7a020acf5ec4bccba441
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 11:20:36 +0100

    NEWS for 5.9.2

commit a22988411e1f6601980a0cd9a9ecce93e29f7c6b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-09-01 14:25:44 +0200

    mcd-account: use proper gboolean rather than 1 bit to store boolean properties
    
    It doesn't make sense to not use the boolean type provided by our framework
    and using 1 bit variable introduces weird corner case when being casted with
    gboolean.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=40545
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

commit 4b52bb815739b5e73d028aebde9d22e81dac85dd
Merge: ba3094ed 2394a978
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-07 17:09:13 +0100

    Merge branch 'doc-cleanup'
    
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 2394a9782e2739b0fce36349e8e1db957ff0f91e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-07 16:47:37 +0100

    configure: remove obsolete OUT_OF_TREE_BUILD check
    
    The gtk-doc stuff doesn't use this any more.

commit 047a42ee82fa0d664d510f0ccbd13a802a98ca90
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-07 16:38:37 +0100

    Stop building docs for libmissioncontrol-server
    
    I'm hitting a weird issue in gtk-doc where the handwritten .types file
    is overwritten with a generated one during distcheck (but not during
    normal out-of-tree builds). Given that we have a newer plugin API we're
    keener on, let's just stop building documentation for the old one. (Most
    distros do not distribute libmissioncontrol-server as a library anyway.)
    
    The mission-control-plugins documentation doesn't hit this issue because
    it doesn't have a handwritten .types file. Instead, it relies on gtk-doc
    generating it, and uses IGNORE_HFILES to filter out internal headers.
    This seems more maintainable, so if anyone wants to resurrect this old
    documentation, I'd do it that way.

commit 6de9a91e02906b1cb8536010a71175e0dafb43e6
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-07 14:34:55 +0100

    docs: remove legacy templates
    
    These were all content-free anyway. Removing them, and using --flavour
    no-tmpl, makes the build neater and faster.

commit ba3094edb045a74e6bdd7288db47d05aa9c11233
Merge: 9cdb15ef 5bb61305
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-07 12:55:06 +0100

    Merge branch 'telepathy-mission-control-5.8+'
    
    Conflicts:
            NEWS
            configure.ac

commit 9cdb15ef0de942be523f3138c9447dc4ff71f4e9
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-09-06 19:23:01 +0100

    Update NEWS with fixes merged from stable branch

commit e8bacd5739c0a12084c0fc1df13155629bdd68d6
Merge: 1e87b2f7 c2aa0178
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-09-06 19:21:41 +0100

    Merge branch 'early-connecting-status-semi-hack'
    
    Conflicts:
            NEWS

commit 1e87b2f7f5c34ef40b3af87fc29b6a89e7ea7b21
Merge: e116686b b29f2a85
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-09-06 19:20:28 +0100

    Merge branch 'memory-leak'
    
    Conflicts:
            NEWS

commit e116686b7e33474265795025374023e5ceeb4913
Merge: 6152792b f3933967
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-09-06 19:18:06 +0100

    Merge branch '58-recovery-position'

commit 5bb613053dead289ac11f0330dd99bf5fcf5af39
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-09-06 19:05:28 +0100

    Nano version

commit 89585a13ec547b18ca70519b4e3a0e53238b2a2b
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-09-06 19:03:40 +0100

    Update doc-comment in configure.ac

commit 5b161bf7b0747858e48fc7adf375cb61ee0df0ad
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-09-06 16:31:58 +0100

    Version 5.8.1

commit aa85d5b6de865651e8834e173a3873fbec6a0372
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-09-06 16:24:21 +0100

    Update NEWS

commit c2aa017899facac77648ddbf57cfd50c869a02c0
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-08-18 18:35:16 +0100

    Set connection status to 'CONNECTING' as soon as we start trying to connect

commit 5008b9578d0d815b87ae6145f122a8cf37671524
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-08-18 18:35:00 +0100

    Don't throw a hissy-fit if the account is CONNECTING but the connection is not

commit 91036eb72b06fe28a0a95b7b575cc0593ce76dd0
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-09-06 15:14:56 +0100

    Update NEWS

commit b29f2a8554a0a303fd7dca0ce6aae620423882ad
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-09-01 18:12:15 +0100

    API does not guarantee that the GValue remains unset on failed value retrieval

commit fcaeb1ff9cade6b7451304076d383a01e3559f09
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-09-01 16:05:32 +0100

    Approval contexts must be NULLed out or the free function will assert()

commit 1e6d4cd9d48c5896f79dbea3bdf6ee64fcef1ad9
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-08-30 14:11:46 +0100

    Approval struct free function did not free a string member

commit 49a2f9434acc3f7649ae0129248cc0f16466ba4f
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-08-30 13:53:44 +0100

    Approval removed from GQueue should be freed

commit fe5bc872a72a71900ea7116f793c37c9896c0ee6
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-08-30 13:48:22 +0100

    Approval structs should be freed after removing them from the tracking GQueue

commit 74a3b8ed4ed361602a555d8994f66626588e2873
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-09-06 15:08:21 +0100

    Log fix introduced by 58-recovery-position in NEWS

commit f3933967a7a1573ccaac8c6a52814e388cf7cb98
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-19 18:16:26 +0100

    undispatchable test: assert that observers are invoked, but approvers are not
    
    Also assert that MC doesn't close the channel as undispatchable until
    the Observer has had a look at it.

commit 372ad259fdd87182f4d3bcadd053c4fafc443016
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-19 18:14:24 +0100

    fd.o #29022: if a channel can't be handled, dispatch it anyway, to run observers
    
    Arguably, we should have some way that approvers can opt-in to being told
    about undispatchable channels that they might want to Claim, but that
    requires spec, whereas we can fix this straight away.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=29022

commit 99d9669a46659ea42635aa5013e6a07e6c21e64b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-19 17:30:25 +0100

    McdHandlerMap: add brief documentation

commit adf270a5a0382b0345fa7ee43904409c3157c96e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-19 17:30:12 +0100

    fd.o #34025 (ish): if we handle a channel internally, record that fact
    
    This means we'll include it in the set of handled channels when we invoke
    Observers with Recover=TRUE.
    
    We don't do this when calling _mcd_request_handle_internally (., ., FALSE)
    since we're not really behaving like a Handler in that case - more like
    an Observer or something.

commit 6152792b0fc8ebd5daf3be1b743950f8b0698730
Merge: 1e95507c 98785b8f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-01 13:17:17 +0100

    Merge branch 'gtk-doc'
    
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 1e95507c3b45c8c3196850fc78db5a130ddcbc33
Merge: 1c24940a 755fc0fe
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-09-01 13:16:58 +0100

    Merge branch 'bin-mcclient'
    
    Fixes: <https://bugs.freedesktop.org/show_bug.cgi?id=24913>
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 98785b8fa89cf2f03526de4af44e735af476976c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 17:15:05 +0100

    Depend on gtk-doc ≥ 1.17

commit b39cdb342b78e0e40b9e92af4a6135bf5a05c18f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 17:14:21 +0100

    docs: fix out-of-tree doc checks with gtk-doc 1.17
    
    gtk-doc 1.17 runs in the builddir, not the sourcedir. So these files end
    up in the builddir, which is where we're running.
    
    Unfortunately this breaks doc checks with gtk-doc ≤ 1.16, which I can't
    find the strength to care about.
    
    (This is akin to 3ab0d76 in tp-glib.)

commit e0bc7368527fa5d2509a251d33e4d5e3dcf6dc34
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 17:12:59 +0100

    docs: sync Makefiles with tp-glib's
    
    This shouldn't change any behaviour. It just adds some defaults and
    comments from tp-glib's copy (which in turn are synced with the sample
    file shipped by gtk-doc) to make diffing the two easier.

commit 8fbf0cfbee2ff547ad1a9cc331ad07243cfb2fdd
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 17:06:23 +0100

    docs: use GTKDOC_CFLAGS not INCLUDES
    
    Going by the examples provided by gtk-doc, this is preferred.  It's been
    supported approximately forever.
    
    This is based on 019e84e6 in tp-glib.

commit 99a3539a3c5bd1c0bc79062bc00e3520d91a392d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 17:00:28 +0100

    docs: correctly scan source dirs
    
    This is taken from e3dcc31 in tp-glib. gtk-doc 1.17 now runs in the
    build dir, not in the source dir, so using relative paths here stopped
    working.

commit a5ecb8ddb9cc1d7f2431425efe27cef6a2f239ec
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 16:24:53 +0100

    Silent-rules-ify some code generation

commit 755fc0fed40b967c99ffb60c1bad06828c589325
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 14:59:14 +0100

    Remove stale code-gen for stable interfaces.

commit 773b790254aa89b914aeac8d144be2afa8916b4b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 14:53:03 +0100

    Remove Account.Interface.ChannelRequests
    
    This is a predecessor to the current channel-requesting API, and is
    obsolete.

commit 7cdacf5f4950af85714a838e2aba4256b2238918
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 14:57:44 +0100

    Remove libmcclient
    
    This entails doing a little more code generation for the daemon: some
    bits depended on generated code from libmcclient, and there was an error
    enum used in exactly one place. But broadly speaking this just deletes a
    tonne of code and documentation.

commit 7e0173a046b381856992faef292ade59cef31cad
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 14:45:51 +0100

    Remove local copies of ContactCaps and PowerSaving
    
    These have been in tp-glib for ages.

commit 576fdc7e1657e42f4411123124d7b8dd651e883d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 14:37:41 +0100

    Remove Compat.Profile support

commit b614b7a40260f2c3baf9f4835b25bc6ca06993b6
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 14:26:47 +0100

    Use D-Bus GType constants from tp-glib

commit f6bb84c370ca350757f27ec486713376186f89a4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 14:24:56 +0100

    tests: don't test Compat.Profile property.
    
    This is slated for removal.

commit 2c82847081b8c28ff18adc1ab3c6a49de2b6b151
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 14:18:15 +0100

    tests: stop using non-standard channel request API
    
    I would like to remove this API. It was only used by libmcclient, which
    I would also like to remove. :)
    
    Most of these tests don't actually use the non-standard API: they just
    reference the interface for no good reason.

commit 09c862d4fcf8b15a9fd92b5112d5dc7cdf6e8929
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 13:33:45 +0100

    tests: move all of make_mc to mctest
    
    I have no idea why part of it was in servicetest.

commit 1c24940a5f2e38ba4027b6b48a2166deeab91219
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 15:35:34 +0100

    NEWS for 37861
    
    (Before I forget.)

commit ebe91108748249950d3aeb363e8bfc5e0428c222
Merge: fc84cd8e 52e9df56
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 15:31:46 +0100

    Merge branch 'telepathy-mission-control-5.8+'
    
    Now master is a superset of all known releases. ;)
    
    Conflicts:
            NEWS
            configure.ac

commit fc84cd8e9eb88478d3da7b663fc649c560ac4f0e
Merge: 547b3ba9 b8d92d6b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-31 11:06:46 +0100

    Merge branch 'telepathy-mission-control-5.8'

commit 547b3ba96d7f8f5fbdc09c3ecae5ce8badf21791
Merge: dd986906 8dbecc0a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-25 12:46:23 +0100

    Merge branch '40337-invalid-account-error-reporting'
    
    Fixes: <https://bugs.freedesktop.org/show_bug.cgi?id=40337>
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 8dbecc0ae4083ac8c83507084c36ad2ca536f499
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-25 12:30:02 +0100

    bad-cm: break 'password's type.
    
    Jonny pointed out that, given that the method name contains "account",
    it's perhaps not the right parameter to check is in the error message
    returned when an incorrect type is passed.

commit a01b090c4b289a50ba022852a3a93f1bfd8727b9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-25 12:17:42 +0100

    account-manager/bad-cm: clean up test.
    
    This reduces duplication and modernizes the test a bit.

commit d771a4cff23130c34471fce3eb7236dc851e55ae
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-25 12:09:54 +0100

    Test invalid or ill-typed parameters for new accounts

commit 4aad882bcec0a476adbbeab47dee4833c3e053a3
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-25 11:13:08 +0100

    Include CM name when protocol doesn't exist
    
    This is not really ideal—the real error is that the CM doesn't exist but
    due to the current design of this part of MC, it's actually not easy to
    determine that.
    
    So at least including the name of the CM might make the error more
    obvious.

commit 7ee4434e8049c170f9ee9766bd9b26913fc6e0cd
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-24 18:42:47 +0100

    AccountManager: use _mcd_account_set_parameters error verbatim

commit 5a37fb49c80cb89c27925a410d4a1056e88bba3e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-24 18:41:13 +0100

    Account: use NotImplemented for nonexistant cm/protocols
    
    The spec is actually pretty clear on this point.

commit 289c02177b461bb1fb2f4487e5eed59d9c177db4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-24 17:53:02 +0100

    mcd_account_check_validity: report a GError for invalid accounts
    
    This corrects the specific case of poor error reporting mentioned on
    <https://bugs.freedesktop.org/show_bug.cgi?id=40337>, where MC
    previously said “The supplied CM parameters were not valid” but now
    actually says which one.
    
    There are a couple of other account-creation cases (namely “CM doesn't
    exist” and “CM doesn't have that protocol”) which don't give the correct
    errors. And the test doesn't test the “Protocol doesn't have one of the
    specified parameters” case.

commit fc543c3ee4ae0235876a7f22deaad0e19b2b1242
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-24 17:40:58 +0100

    Account: internally track validity as a GError

commit 976a3f1cebe4d2b8e4e22398a130ef4a181db8d9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-24 17:21:11 +0100

    mcd_account_check_parameters: give callback a GError

commit c130b10a7c5d3453cbad163f68b968b538f356f9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-23 18:51:31 +0100

    McdAccount: use mcd_account_is_valid internally too
    
    This will make it simpler to change how validity is represented (from a
    boolean to a GError).

commit dd9869068914125e80956531446eb297fa128784
Author: Frédéric Péters <fpeters@0d.be>
Date:   2011-08-21 11:08:36 +0200

    mission-control-plugins: Link against gio
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit bcc9373ff79d996767bca3efe1b4cafef0b9a525
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-07-25 16:01:43 +0100

    Remove ContactCaps.DRAFT1 support
    
    Fixes: <https://bugs.freedesktop.org/show_bug.cgi?id=24911>
    Reviewed-by: Xavier Claessens <xclaesse@gmail.com>

commit c64e52dc46a040b69b37100525bbf4698cca854f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-08-03 14:28:47 +0200

    Avoid a warning when trying to store a NULL value
    
    e17b83fec8f01ca6977cb4fe259a83634aa90b26 only fixed the !ENABLE_GNOME_KEYRING
    case.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=39796

commit 5999d678c2156e04b9c1db3cf1a406adb467810c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-08-03 12:52:08 +0200

    account-manager-default: always delete secret keys from both locations
    
    This ensures that the key is actually removed even it has been tagged as
    secret after is removal.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=39796

commit f2a78001ab99b7a8109121873bf14095b4c6fe19
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-01 16:10:13 +0100

    mc-tool: allow localized strings for booleans

commit 7a37f1c767ace97a1dafa258198ca6ca0c9c1830
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-08-01 16:02:09 +0100

    mc-tool: make bool parsing sane.
    
    Previously, mc-tool update acct bool:foo=true would set foo to False!
    Particularly ridiculous given that mc-tool show produces 'true' and
    'false', not '1' and '0'.
    
    I'm *sure* I've fixed this before.

commit 52e9df56a40d027e0972158a600c1b7695820113
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-07-22 14:52:06 +0100

    Nano version

commit 597ed3fd7605bce7b06f6d127c1a90b7fc14f8de
Merge: cb92278f 149523e8
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-07-22 13:25:16 +0100

    Merge branch 'unconditional-accounts-skip-too-many-transport-checks' into telepathy-mission-control-5.8+

commit cb92278fc5f001e5330e6d0e6deb410379ff809c
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-06-24 16:37:52 +0100

    Update NEWS for Aegis ACL plugin

commit 1191b793e3c445cc836194c63c2d52b8dc42e56b
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-06-24 16:36:12 +0100

    The Aegis ACL plugin must activate handlers to check their credentials

commit aae2f108921f4a8eedd861f76e8650c128e2d0cc
Merge: 26071988 07e875ab
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-07-22 12:24:34 +0100

    Merge branch 'cdo-satisfied-requests-hash-leak' into telepathy-mission-control-5.8+
    
    Conflicts:
            NEWS

commit 260719888571da3c2e0ebcdc9fc5f45f298c02cb
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-07-22 12:18:04 +0100

    Version 5.8.0

commit a6bb447eabb95bf91d5f0121ce0e8cdfa6eabead
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-07-19 15:29:56 +0100

    Fix unbalanced *_DECL macros

commit a29cf172aca42414af59e634a78833e947886d25
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-07-19 15:24:48 +0100

    Checks for unbalanced G_BEGIN/END_DECLS macros

commit b8d92d6bef16a176fb2403957a645aa9510579c5
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-07-21 14:47:01 +0100

    Nano version

commit 3f847e56997ada402bba06344d8de81e13812eac
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-07-21 14:31:32 +0100

    Version 5.9.1

commit ffeee1fe4c6572d54f052608d30163f71ff05562
Merge: 0d2d3718 b7e44e64
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-07-21 13:02:43 +0100

    Merge branch 'unbalanced-header-macros' into telepathy-mission-control-5.8

commit 0d2d3718faf22255a575b44c6184435cd16b4027
Merge: da359cb5 149523e8
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-07-21 13:02:21 +0100

    Merge branch 'unconditional-accounts-skip-too-many-transport-checks' into telepathy-mission-control-5.8

commit 149523e89c42cea1cb61c1baa682c623a44e4893
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-07-20 18:36:55 +0100

    If there are no transport plugins, the decision always has to be "Yes"

commit da359cb5b2c3d640c58bd5d777186561244cddf8
Merge: cebbd258 894f722b
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-07-20 17:07:14 +0100

    Merge branch 'telepathy-mission-control-5.8' of git+ssh://git.freedesktop.org/git/telepathy/telepathy-mission-control into telepathy-mission-control-5.8

commit b7e44e64922a59795a2720939261b9e8bdc5057b
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-07-19 15:29:56 +0100

    Fix unbalanced *_DECL macros

commit 3e753cbb5b442c1a1dfce84c816cef3df8e6afc0
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-07-19 15:24:48 +0100

    Checks for unbalanced G_BEGIN/END_DECLS macros

commit 894f722b50712ed9ac2f241691fcecdee560fa3f
Author: Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
Date:   2011-07-18 09:46:37 +0000

    Let cc find dbus, dbus-glib headers
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=39324
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit cebbd25840976d134c373b901df27ad3e76db8c0
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-06-24 16:37:52 +0100

    Update NEWS for Aegis ACL plugin

commit 78f3189898d07bb7aa9702bc149066a455f0066a
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-06-24 16:36:12 +0100

    The Aegis ACL plugin must activate handlers to check their credentials

commit 6153c0bf1fbe9132059597ec3b5ac9fe0446d7c1
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-06-24 16:33:28 +0100

    Update NEWS

commit 8876752c9274e1fd885e1a51f24c22369a6ec94b
Merge: 98c15e81 575e87ff
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-06-24 16:27:58 +0100

    Merge branch 'unconditional-accounts-skip-too-many-transport-checks' into telepathy-mission-control-5.8

commit 07e875ab4a41add247b4127470be6e45a3530e82
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-06-08 18:40:25 +0100

    Unref wrapper not required if we set the free func

commit 575e87ff463a2b654bd7c921a6c900b1f9da9006
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-06-08 18:16:32 +0100

    Accounts flagged as always-dispatch don't need a transport.

commit feed5e78989b49983bb9231e5340ec021fc09dc8
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-06-02 19:11:06 +0100

    The 'set' GHashTable in collect_satisfied_requests was leaked

commit 993f3648b2d11598901e92e81606dea6fcc50adc
Merge: 80cca13c 98c15e81
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-06-01 18:03:20 +0100

    Merge branch 'telepathy-mission-control-5.8'

commit 98c15e812a24112a8276fa4a62e208a5f008d135
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-06-01 18:01:42 +0100

    Update NEWS

commit 0cfe51094842b0b05d70e83b83f9cf677bc7e7ac
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-06-01 17:37:10 +0100

    Minor header include cleanup

commit 792507ee78a5a2b44bcd98b407c4d2b34bf4a986
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-27 12:24:03 +0100

    Hook up the built-in plugins to the new plugin debug infrastructure

commit fd85965e16c3c31bd7370c730d120c0b37d2da21
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-27 11:46:32 +0100

    plugin debug header should be included via the main plugin header

commit 5a8b31db634408f9fc93fd551a2fe04e4cc1c661
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-26 16:59:30 +0100

    Initialise new plugin debug at the same time as reguar daemon debugging

commit 3fc48b4258f44812722772873c647a90759d31d1
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-26 16:58:29 +0100

    Expose new header file to out-of-tree plugins

commit c7929ee79943f8c0408207c37895d4bc03aed094
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-26 16:58:01 +0100

    define MCP_DEBUG for plugins to use

commit cb25b3900d439e8a998e948c588d16a7888027a1
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-19 21:26:58 +0100

    Use the new environment-driven debug control mechanism in MCP

commit eaae4ff6dab43a52584487eec5d8d39b74209db5
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-30 11:10:08 +0100

    New debug control for mission-control-plugins

commit b2b8407b4c41b1bc2074882c199984bf77ade554
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-31 19:35:04 +0100

    _mcd_master_account_replace_transport would accept "no connection" as a successful replacement if no account conditions were specified, forcing unwanted reconnections

commit e17b83fec8f01ca6977cb4fe259a83634aa90b26
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-19 15:26:13 +0100

    Call g_key_file_remove... rather than ...set_value when new value is NULL

commit 34a28b406627f4452807b27ee87760b7b93d4bad
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-19 15:25:43 +0100

    Don't call tp_intset_size on unset intset

commit 80cca13c3f19829b646c68a3b2eebf25ab9ae732
Merge: 478a087a 9a0990b4
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-24 19:09:25 +0100

    Merge branch 'telepathy-mission-control-5.8'

commit 9a0990b433fe9a90b1373c8aacaa5501d905f817
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-24 18:50:31 +0100

    Update NEWS

commit 0c3f44720632f76c5b4f90799314fb45fdd54c41
Merge: 964891e7 232cc604
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-24 18:44:33 +0100

    Merge branch 'cd-message-api-fixes' into telepathy-mission-control-5.8

commit 232cc604d7827c51456534976cf8c69446b3418b
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-20 20:33:58 +0100

    Catch the case where there's a hole in our logic and an internal request hasn't been cleaned up properly

commit 0285a8ce6940868d91b86c9de23b141a85ff47a1
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-20 20:32:05 +0100

    Log the actual call to internal request handling

commit 761b4310d351396c14d27e08b78e4badf58c8387
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-20 20:30:26 +0100

    If we're failing an internal request, clear the handler immediately

commit 0c7cb7baad42bf7be3415403bb6610680e3c2c36
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-20 20:29:30 +0100

    Internal requests should be handled in _both_ paths through _add_channel_request

commit 478a087af9805219dad7c5288516f5f4c3891306
Merge: 272c1d13 964891e7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-20 13:52:10 +0100

    Merge branch 'telepathy-mission-control-5.8'

commit 964891e770dd1ca66c7c9a51ae03cc71dba8fe1a
Merge: a0cd2205 12230d1e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-20 13:52:02 +0100

    Merge branch '58-user-initiated' into telepathy-mission-control-5.8

commit 272c1d13fdb704b2c5e6da849355b5453eca035c
Merge: e4ccbd3a a0cd2205
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-20 12:17:58 +0100

    Merge branch 'telepathy-mission-control-5.8'
    
    Conflicts:
            NEWS

commit a0cd22059631972a7d89aa0bc8644544e122cf35
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-20 12:15:49 +0100

    NEWS

commit 615aae42cf533e02feb08eeabcad2f6ae16ea6ac
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-06 17:22:25 +0100

    We need to propagate nickname changes that occurred "behind our back" too
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit e6cd84b0d147f24fc7e2dbcec99e6b494af3c032
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-08 13:02:36 +0100

    Storage has stabilised after the Big Rewrite: turn off debug by default
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit c4a70827351fc7e658c60d13e1b258aaa2fdfee0
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-08 12:59:30 +0100

    The param hash is reffed by the ACL framework, we can drop our ref to it
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit f44ca2fc586c08d72e09a03f287567b85f7a05a8
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-08 12:58:51 +0100

    Don't leak copies of the new stored setting values on update
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit da98340c7262c56ab9e38f9159783db746c1bd0b
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-08 12:55:55 +0100

    Don't leak the initial "offline" account status name
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 2656c26edc53ac75a9e3fb1da19b5f4f6135bcf3
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-08 12:55:15 +0100

    Don't leak the key list when accounts are updated by libaccounts/SSO
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 12230d1e93a5c428618a0815146ba00138f2cbb2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-18 19:04:41 +0100

    Add mcd_account_connection_is_user_initiated

commit dc5ea0a5e8072cd6abcaa4b636f4395db54e26ac
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-18 19:01:45 +0100

    _mcd_account_connection_begin: take a flag for user-initiatedness

commit 03a86b79018b2c7ac0b8d1e7a2bf7ae54249da06
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-18 19:01:22 +0100

    mcd_account_request_presence_int: take a flag for user-initiatedness

commit 82ff5c401a7e57ec62fea591c071a0644be1828f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-18 19:21:58 +0100

    mcd_account_request_presence_int: emit RequestedPresence directly

commit 7517ff1489872b68e35f8536f552377726c5b190
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-18 19:13:25 +0100

    _mcd_account_connect_with_auto_presence: take a parameter for user-initiated or not

commit e4ccbd3a80d4ea8cf2d527b54c662b4c41dad21a
Merge: a43df074 2cdf0bd3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-19 16:39:47 +0100

    Merge branch 'telepathy-mission-control-5.8'

commit 2cdf0bd3efa2550c91f41f3fd2426365942e2878
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-19 13:38:45 +0100

    update autogenerated gtk-doc goo
    
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit 7d4041666674515fd601faaa20e804aeab98cb92
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-19 13:21:34 +0100

    Regression test for passing unapproved channels to recovering observers
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=34025
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit dcc858d02c6c3671028d9e677b5d0a6bb36e0321
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-19 13:38:20 +0100

    fd.o #34025: call ObserveChannels for channels waiting in CDOs when recovering
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=34025
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit a43df074d4bd9355420a200707be626ad71266dd
Merge: ad0753f2 7209f390
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-18 19:26:30 +0100

    Merge branch 'telepathy-mission-control-5.8'

commit 7209f3901a41ea0abacfb201aeef90a7abb0e76a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-05-18 11:10:27 +0100

    tests: when creating multiple simulated connections use different object paths
    
    This was causing test failures when testing using a better tp-glib.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 3f771dceff1cfd03f21f3cc44eb326f3299d2270
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-05-18 11:07:33 +0100

    dispatcher/already-has-channel.py: don't test for calls done by tp-glib
    
    We previously checked makes sure GetInterfaces was called but this is
    actually a call that tp-glib does. Newer versions of tp-glib don't do
    this as they call GetAll on the connection beforehand so this test
    failed.
    
    We don't really need this q.expect.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit ad0753f240b4064c41fd7914449da4ae1638292a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-05-18 13:47:09 +0100

    start on 5.9.1
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit cc9acec9c7e8fcbeb92271783f43e8311b7a3176
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-05-18 12:50:07 +0100

    version 5.9.0
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f64b04c3eb487e7df44836c2572260efcf9cc1dd
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-05-18 11:10:27 +0100

    tests: when creating multiple simulated connections use different object paths
    
    This was causing test failures when testing using a better tp-glib.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 6c6ecf5152af67885f947bed5d9a00ad5da151f7
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-05-18 11:07:33 +0100

    dispatcher/already-has-channel.py: don't test for calls done by tp-glib
    
    We previously checked makes sure GetInterfaces was called but this is
    actually a call that tp-glib does. Newer versions of tp-glib don't do
    this as they call GetAll on the connection beforehand so this test
    failed.
    
    We don't really need this q.expect.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit db2a49fc4270a43dead300b9c5faa8100a9a277a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-05-17 10:34:24 +0100

    service-points: don't depend on there being any interfaces
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 7133b0e580815d6c25321bf213f5c61b75300e32
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2011-05-17 10:34:24 +0100

    service-points: don't depend on there being any interfaces
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit c167d23e3a9da532e98a99351c996b1fc2e99730
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-17 10:44:08 +0100

    Nano version "almost 5.9"

commit 8176880328f8a7107117ccc4fe5279910796c2bd
Merge: 9b03ad06 c12764d3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-17 10:41:42 +0100

    Merge branch 'telepathy-mission-control-5.8'
    
    Commit c12764d3b "Don't warn about deprecated declarations" rejected,
    since this is the development branch.

commit c12764d3b42f40736f315c320b929f756405bf80
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2010-09-16 16:49:57 +0100

    Don't warn about deprecated declarations
    
    The usual stable-branch change, to be rejected when merging to master.

commit 9b03ad06401983c5126be107fac5c1c2f91df41b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-05-16 08:54:14 +0200

    clean up indentation
    
    It's supposed to be 4 spaces identated.

commit e8eb58e1890e05f242b059dcbcee633b96157df6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-05-12 14:06:03 +0200

    Implement new version of DelegateChannels()

commit d86266ef7539e4ecaeb77fcb0a88e6dd289a1602
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-05-11 16:19:58 +0200

    bump glib dep to 2.28
    
    We need it for g_list_free_full().

commit 09f403c21aa2d598d8f1c1a6c375b91be57a950f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-05-11 13:27:57 +0200

    Use non-fatal assertions for more subtile checks

commit 9ef991c4d33b985ce61aca0a98304c637a0abba7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-05-10 10:56:58 +0200

    stop generating DelegateChannels and PresentChannel

commit 6dcd8266c6d91be75ac76d49614d609f9e0e1ab0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-05-10 11:13:03 +0200

    DelegateChannels and PresentChannel are now stable

commit b88dac1b0f0f95a05210a9a7f7dac442730b76a4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-05-17 11:12:00 +0200

    Bump tp-glib to 0.15.0
    
    We need it for CD.RedispatchChannels() and PresentChannel() generated code.

commit e5a15f51ef6473f5fa90eb5d7c86b8bba8b835a6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-05-10 10:40:07 +0200

    Implement CD.PresentChannel()

commit 97df23d0640470efff1a4959999b7aae5bec7d49
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-05-10 10:10:56 +0200

    Update to latest DelegateChannels WIP API
    
    Changes:
    - RedispatchChannels has been renamed to DelegateChannels()
    - It's now documented when we should raise NotCapable but our implementation
    was already doing it.
    - The Account argument has been removed
    - The Hints argument has been removed

commit e90b58ca31a394bbdf94726288e66a643f709905
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-11 16:03:03 +0100

    Start 5.7.12 development

commit ab65263abdb9270d27177ed04ef919deb5b542a6
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-11 15:55:21 +0100

    Prepare version 5.7.11

commit 88b5baf1db86614acff4ec8fca94667c7a55b49f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-11 10:58:22 +0100

    McpAccountManager: add brief documentation

commit f43ca7dae697528d26941874236c9f9dc7f8c36b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-11 10:57:56 +0100

    McpDBusAclIface: note some API-breaking changes for later

commit f0e6772fea09f90f180dec328828b8128b889db6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-11 10:57:23 +0100

    McpDBusAclIface: make the vtable public and improve documentation

commit 2d0564737c9efd42e05749aadbbc0c451109d115
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-11 10:55:59 +0100

    McpRequestPolicyIface: make the vtable public

commit 44f3db606ec3f2d9e73fd53ad4a4609cee93eb3b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-11 10:53:17 +0100

    mcp: change all @include lines to the mission-control-plugins.h meta-header
    
    You're not meant to include the sub-headers directly.

commit 344347320a75465ae35dc8ffdf715299ce5b14af
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-01-11 10:43:17 +0000

    Publicise McpAccountStorageIface
    
    All the existing fill-in-the-vtable functions still exist, of course.
    
    This struct is undocumented. But so were all the _implement_ functions,
    so that's okay then, or something.

commit 58254dfccd39293e9c041a2276b260481053eda8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-01-10 19:28:59 +0000

    Storage: improve grouping in the header

commit 4a7c8e9486b75dc23cbc1cd2812a65ee8b3fe7de
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   2011-01-10 19:27:25 +0000

    Storage: Add typedefs for method signatures

commit 68e48c0950397f15d0d7fb647a0175e5018efa2f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-11 11:14:32 +0100

    tests/account-store-default: if secret is not found, return NULL, not uninitialized
    
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

commit a819a505f597097fd2aba2e83b456e6280847140
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-11 10:25:16 +0100

    NEWS for builtin-aegis-acls

commit a4eb1c2b1403a84f593c3e5bad4622ff89f54496
Merge: e9d5be63 a0799181
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-11 10:12:57 +0100

    Merge branch 'builtin-aegis-acls'
    
    Reviewed-by: Vivek Dasmohapatra <vivek@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36845

commit a07991817ceb17c5a48e674ef14bf112b247638b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-11 10:12:05 +0100

    Fix caller_creds_are_enough() debug output so it will actually terminate

commit 1d224057ae7c1be1c438070db3469b1047921603
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-06 15:15:51 +0100

    put Claim attempts through the handler suitability check, too
    
    These get a NULL TpClient, since it's non-obvious.

commit 9ac3c5f4c5c4147734f0529bd43bdf1e13dd3f60
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-06 15:02:46 +0100

    include Handler's unique name in suitability checks if available

commit e9d5be63b54acfd7515dbf527238e97b17fbf8b2
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-06 15:09:51 +0100

    Nano version

commit bb27105b6c79721ce266582abb920c9642744cdb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-06 14:58:22 +0100

    Add a test for handler-suitability checking

commit 7a54c4538058c35f77e11c3999a03a35fb53fea8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-06 12:45:41 +0100

    Add a no-op plugin to check that NULL pointers are OK

commit b3ad0c11e2b3977c655116a8c2dc28221df17bee
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-06 12:45:06 +0100

    McpDBusAcl: make it OK to not set a name or description

commit 035973d3593c40db2535f1f6323d14e9863d92fa
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-06 12:35:29 +0100

    mcp_dbus_acl_authorised_async_step: skip plugins not implementing authorised_async

commit e041b7aa87f4a925a6fd8f9aab47e2cc5ae3356c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-06 12:33:12 +0100

    mcp_dbus_acl_authorised: if a plugin doesn't implement authorised(), assume TRUE

commit 67eacd530568185c61499a67ba35f5c3562f4659
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-06 14:46:16 +0100

    Prepare version 5.7.10

commit 29296083a036d84f6a39f0c543a56913ecd16d76
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-06 12:16:35 +0100

    make Handler suitability-checking asynchronous
    
    In the general case, when we do the check the Handler won't be running
    yet, so we can't check its group ID, Aegis credentials or any other
    process parameters; so plugins may need to be able to activate it and
    wait for it to start, and MC should be able to do other work in the
    meantime.

commit a17f762c4fd03256a962636c4c2019b7fa26e7c2
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-06 12:14:38 +0100

    Make an extra round trip to re-store the value, as this will trigger any important side effects like propagating values to the CM

commit 4ee6a19dcc186400d0d4b7a49ccbf9b70918561f
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-21 15:47:06 +0100

    Deleted parameters aren't stored, so there's no meaningful test to be done here

commit 69c388ba4df48f46a73296ffb54a17db93a8f1a0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-06 10:40:58 +0100

    mcd_dispatch_operation_handle_channels: move the handler check here
    
    When we make it asynchronous, it'll have to be in a context where we can
    call callbacks for the result. Also, this removes some duplication.

commit d6fcf20ef7a39504a819fa8f43b2c38905a40f1c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 18:47:50 +0100

    pid_is_permitted(): remove

commit ea3fad6237fff58362cd6b2c0cb97bd44b48d1a6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 18:45:24 +0100

    Use GetConnectionCredentials() when checking credentials asynchronously
    
    Again, this avoids a time of check / time of use vulnerability.

commit d2f40c4995911d3583794297f6a76b4570453c44
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 18:44:39 +0100

    Use GetConnectionCredentials() when checking credentials synchronously
    
    This avoids a time of check / time of use vulnerability.
    
    Also, don't crash if the D-Bus call fails.

commit ebef3a3d1fedf07edd75cf8cdf924df6e8958444
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 18:02:50 +0100

    Remove McpDBusChannelAcl

commit 7b857fe79d268b0ff8cf919c8785a5a686f3c351
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 18:00:45 +0100

    AegisAcl: implement McpDispatchOperationPolicy, not McpDBusChannelAcl

commit 698dbc6a8a55d3732c7b52ef00f38c9a24c79889
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 17:56:47 +0100

    McpDispatchOperationPolicyIface: add handler_is_suitable()

commit 08a09215bfd734bb797661822000d4dce36e1b23
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 17:44:49 +0100

    McpDispatchOperationPolicyIface: make the GInterface into public API
    
    We can stay compatible as long as we don't change or reorder methods:
    adding methods to the end of a GInterface is considered to be a
    compatible change.

commit 53bbd7de157f869d36edc40f73a317467e88df29
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 17:13:20 +0100

    Revert "Util to prepare a GPtrArray of TpChannel for the new DBus handler ACL framework"
    
    This reverts commit cbd280e9d768df7e4e1c69b0c0b49648a0219a10.
    
    Now that we're using McpDispatchOperation, this function isn't needed.

commit c895b0414278dc79d749cd5a13974ff6d6d4b80a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 17:13:00 +0100

    mcp_dbus_channel_acl_authorised: redo API in terms of McpDispatchOperation
    
    This vastly simplifies both the caller (McdDispatchOperation) and the
    plugin.

commit 8f2a8cbc424d6ac6bb0b55d3a973b568aaf9ccf4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 16:48:01 +0100

    Move channel ACL traversal to McdDispatchOperation
    
    This is a helper for MC itself and isn't needed by plugins, so it
    shouldn't be in the mission-control-plugins library.

commit bf612767b4a5500f8271d689353d4bb661eb45c0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 16:46:25 +0100

    Flatten AegisChannelAcl into AegisAcl, which now implements both interfaces
    
    This means we don't need any extra glue to hook it into MC as a
    pseudo-plugin.

commit c4bec580469f1a6b43cfbf6058a09849eb367c51
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 16:38:34 +0100

    aegis_acl_class_init: only initialize once

commit f82a9d29645bddfe6e5d5bdebfa9527c1744192f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 16:35:35 +0100

    AegisAcl: remove unused struct members

commit f3a03b48f1529a4f84eafec62bcb459fd597d626
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 16:34:27 +0100

    AegisAcl: hide the concrete type completely

commit 190f905a44edac89bb0ce6a60fb19ac11a38c7f3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 16:33:49 +0100

    AegisAcl: move struct contents and Aegis internals into the .c file

commit a1004d8a10fe0caa153a595e5648dda8d916534a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 16:27:53 +0100

    Move mcp-dbus-aegis-acl plugin back to plugins and load it via plugin-loader

commit ddc03c7002412e9c5e144b665fed249842cd338a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 14:34:50 +0100

    _mcd_manager_constructor: remove unused variable spotted by gcc-4.6

commit 77df7a3165cd881eedba2296f116b495c5a626c6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 14:34:12 +0100

    plugin-account: sort_and_cache_plugins: only initialize once
    
    A potential bug spotted by gcc-4.6, which warns about this unused variable.

commit b2500c50db739e21ebbde25b94e6384c1cc8e477
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 14:33:08 +0100

    _mcd_dispatch_operation_try_next_handler: don't leak error if Aegis rejects a handler

commit 1915c72985971988737653698d86acc753057a10
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 14:18:55 +0100

    dbus-acl: if config.h is #include'd, it should be the very first thing

commit d515f38253b6f3b96873773441ad47d8d45413ab
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-05 14:15:23 +0100

    Revert "Filter reinvocation of handlers through the DBus Aegis ACL as well"
    
    This reverts commit a0b6d02c66dc8592455b151d38a3291db545f9a0.
    
    The handler is already handling the channels here, so this can only be a
    problem if you already got it wrong; there's no transfer of responsibility.

commit 02fbeb602b7406d5746afbe6e5bbc94dfd10e066
Merge: b7ff6fe1 631b061c
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-04 19:53:40 +0100

    Merge branch 'telepathy-mission-control-5.7'

commit 631b061c3a431acef9ff16d5b9fa326f08741e6a
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-04 19:29:22 +0100

    Unused variables

commit b7ff6fe1c3e29d5d74e707fd5fc0ac980d7f0650
Merge: fdc70e2e 3441183e
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-04 16:36:49 +0100

    Merge branch 'telepathy-mission-control-5.7'
    
    Conflicts:
            NEWS

commit 3441183e9e2b1d5c2d0919a922d87252c1278f77
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-04 16:33:36 +0100

    Update NEWS

commit c1b3639c61820d47e5f721983a20f37a3cd735b8
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-05-03 15:08:51 +0100

    Make DEBUG macros in builtin-plugins dependent on ENABLE_DEBUG from config.h

commit d1dd3023db239021b72bf18f9dd2867c6caf57c3
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-20 19:38:58 +0100

    Misleadingly named argument in header file

commit aa26a5f7c3446904434a4a2510fa81c024502779
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-20 19:38:38 +0100

    Clean up the debugging in the DBus access ACL framework a bit

commit a0b6d02c66dc8592455b151d38a3291db545f9a0
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-20 19:37:56 +0100

    Filter reinvocation of handlers through the DBus Aegis ACL as well

commit db0e652698ae50b14eda3b182e9c5998c6e455c4
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-20 19:37:28 +0100

    Filter dispatch operations through the DBus Channel/Handler Aegis ACL

commit 17b541a74a2d61062f3f89bd0cd60736ae414613
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-20 19:36:10 +0100

    Implement the Aegis DBus Channel/Handler policy as an ACL plugin

commit cbd280e9d768df7e4e1c69b0c0b49648a0219a10
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-20 19:34:45 +0100

    Util to prepare a GPtrArray of TpChannel for the new DBus handler ACL framework

commit be065542c28939643f106f9d5f74fd14e37bcd60
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-20 19:34:14 +0100

    Implement the DBus Channel/Handler ACL framework

commit 0125537aca079598f37afb7b18cc59c47aeb809c
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-20 19:32:01 +0100

    Resurrect the DBus access ACL plugin as a builtin pseudo-plugin

commit 142ab4040e5569494a3835bdc29622fc469224f2
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-18 18:48:26 +0100

    Remove the old external Aegis ACL plugin

commit cfc09eb5b54fa10485d52db90924cc37a0a7d757
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-21 12:56:27 +0100

    Simplify filter-add error checking

commit 94de2830461dd828eff5df31e8bf4e60f78ccf2d
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-21 12:45:36 +0100

    People mght be interested in an invalid signal, so don't claim it

commit d830cae86f8979bad772e8217b247a3a25c0dfbd
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-21 12:43:26 +0100

    Use utility function to check if it's the right signal

commit 9aca7421037b878ce572e4ddc8f2f6200fb463df
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-21 12:38:37 +0100

    Don't ref the registry when adding it as the filter data

commit b01dd79df9032460822c3c2eebf3b3cee6cc7103
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-14 19:26:27 +0100

    Remove unused callback

commit 90aff1c8afafd4defa2a4059bb36f61307b691fc
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-14 18:43:19 +0100

    Fall back to universal name-owner-changed matching if the new approach fails

commit 6c4c4f775808717aedcac74f6784e60ce2ecfcb3
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-14 18:30:59 +0100

    Remove FIXME now that we have done so

commit fbf0571b85096aa5ee09c0e43c28d79cbeab1411
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-14 01:09:38 +0100

    Copyright update

commit 580cb1ad9d9cbdbf426796fb87e81e881bd0926a
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-14 00:24:23 +0100

    Use an arg0namespace match and a filter instead of all nameownerchanged signals

commit fdc70e2e68b40a0d6616428f5b861ef247fadafa
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-05 17:11:33 +0100

    Nano version

commit 6a03fa23d1ce0060e5486b882d2ef0e35af44691
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-05 16:37:12 +0100

    Prepare version 5.7.9

commit 8334d2fe4ec2b867200906a362a3dad0bbdb260b
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-05 16:33:40 +0100

    Merge HEAD, branch 'master' into telepathy-mission-control-5.7

commit 691dcf70772574340b4532813da42c741fe8446a
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-05 16:30:58 +0100

    bogus const in declaration

commit bd9ce873e74ecdfb347ededa94e1903fd1d7fc28
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-05 15:02:22 +0100

    Nano version

commit fa41a9cf0b4f336efeea3848bffbf26de5a66cc7
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-05 14:50:40 +0100

    Prepare version 5.7.8

commit 63bd914321360851f30b30eea51d903563b927e4
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-01 19:20:05 +0100

    Use tp_clear_object for GObjects rather than tp_clear_pointer

commit 3fd08dd03d89e2e4d4923db84a598a09bc1ba571
Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
Date:   2011-04-01 19:18:25 +0100

    Put the right value in the SEND_MESSAGE #define

commit 1d22bf4561985c4f2e3a5f70757d537186aab59d
